#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x810f01a5, "genphy_resume" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xac714fcb, "usbnet_tx_timeout" },
	{ 0x16ca1a8a, "phylink_suspend" },
	{ 0x334edf9a, "usbnet_get_link_ksettings_mii" },
	{ 0x9cd35bb3, "usbnet_read_cmd" },
	{ 0xdf2ad11b, "skb_copy_expand" },
	{ 0xde4b7425, "phy_ethtool_get_link_ksettings" },
	{ 0x1597f6ea, "usbnet_write_cmd_nopm" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x6d28435a, "usbnet_get_link" },
	{ 0x748f4f14, "phy_suspend" },
	{ 0xf32cf55a, "usbnet_suspend" },
	{ 0x5fec91c5, "usbnet_start_xmit" },
	{ 0x983276da, "phylink_disconnect_phy" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x3f7be7be, "usbnet_read_cmd_nopm" },
	{ 0xf8fe5642, "phylink_ethtool_get_pauseparam" },
	{ 0xb052c01, "skb_push" },
	{ 0x2f4e5448, "usbnet_get_drvinfo" },
	{ 0x74535a47, "usbnet_get_endpoints" },
	{ 0x911fcd6c, "phylink_start" },
	{ 0x4aa4050d, "mdiobus_free" },
	{ 0xc0a8f4be, "phylink_resume" },
	{ 0x964567ad, "eth_platform_get_mac_address" },
	{ 0x15c4e3e2, "phylink_ethtool_set_pauseparam" },
	{ 0x33b75706, "usb_deregister" },
	{ 0xf899423c, "mii_nway_restart" },
	{ 0x15bf4e0d, "phy_start" },
	{ 0xe1ff002a, "usbnet_nway_reset" },
	{ 0xdcb0a2c0, "phylink_stop" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x4121304c, "phy_print_status" },
	{ 0x39224d8b, "dev_get_tstats64" },
	{ 0xf88e7b9e, "__netdev_alloc_skb" },
	{ 0xe8bd6a45, "__dynamic_netdev_dbg" },
	{ 0xe312091e, "net_selftest" },
	{ 0x899e46a6, "mdiobus_unregister" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x97a39d33, "usbnet_update_max_qlen" },
	{ 0xff785569, "usbnet_stop" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x296b7e22, "generic_mii_ioctl" },
	{ 0x4d6b3ec4, "mdiobus_get_phy" },
	{ 0x12169498, "usbnet_disconnect" },
	{ 0xa1045e64, "phy_ethtool_nway_reset" },
	{ 0xf3083a1d, "phylink_destroy" },
	{ 0x97ce6098, "__mdiobus_register" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6f8a2fff, "usbnet_link_change" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xe091821b, "usbnet_probe" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xe876f09d, "dev_kfree_skb_any_reason" },
	{ 0x12ed1d23, "phy_stop" },
	{ 0x8e6b1a9e, "net_selftest_get_count" },
	{ 0x667574b5, "phy_do_ioctl_running" },
	{ 0xa5c055c9, "usbnet_resume" },
	{ 0x95d088a0, "phy_disconnect" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x95caa545, "mii_ethtool_gset" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x82556100, "netdev_info" },
	{ 0xdd7b0f24, "phylink_connect_phy" },
	{ 0x17d25f58, "mdiobus_alloc_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xba2a02ae, "usbnet_set_msglevel" },
	{ 0x860c1386, "usbnet_write_cmd" },
	{ 0xec755cdd, "eth_mac_addr" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x91102ce, "skb_put" },
	{ 0xb0e602eb, "memmove" },
	{ 0xa3fd773, "mii_link_ok" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0x49a8a095, "phy_connect" },
	{ 0xf7a1b167, "usbnet_change_mtu" },
	{ 0x4a6a4c3c, "usbnet_write_cmd_async" },
	{ 0xc090c376, "net_selftest_get_strings" },
	{ 0xb33793b9, "phy_attached_info" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x64279ed1, "phy_ethtool_set_link_ksettings" },
	{ 0xa4f58e8d, "eth_validate_addr" },
	{ 0xfe1653d2, "usbnet_unlink_rx_urbs" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb5982604, "netdev_warn" },
	{ 0xc36c8972, "usbnet_set_link_ksettings_mii" },
	{ 0x78d273c7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xff59dabf, "phylink_create" },
	{ 0xafc68783, "dev_addr_mod" },
	{ 0x5c51419b, "usbnet_get_msglevel" },
	{ 0x1e474246, "mii_check_media" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdd0a82d4, "usbnet_open" },
	{ 0xc2723447, "usbnet_skb_return" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "libphy,usbnet,phylink,usbcore,mii,selftests");

MODULE_ALIAS("usb:v077Bp2226d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p1040d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A00d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07B8p420Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp90FFd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v08DDp0114d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0557p2009d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p003Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0411p006Ed*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v6189p182Dd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p0056d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DF6p061Cd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07AAp0017d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1189p0893d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1631p6200d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04F1p3008d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v17EFp7203d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p1780d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0789p0160d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v13B1p0018d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1557p7720d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v07D1p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p3C05d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2001p1A02d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1737p0039d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v04BBp0930d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v050Dp5055d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v05ACp1402d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p772Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v14EApAB11d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0DB0pA877d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p7E2Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B95p172Ad*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v066Bp20F9d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v33F7p0004d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "05BE805C5BE229D4D045FBC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
