#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usb_gadget_get_string, "_gpl", "");
KSYMTAB_FUNC(usb_validate_langid, "_gpl", "");
KSYMTAB_FUNC(usb_descriptor_fillbuf, "_gpl", "");
KSYMTAB_FUNC(usb_gadget_config_buf, "_gpl", "");
KSYMTAB_FUNC(usb_copy_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_assign_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_free_all_descriptors, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_alloc, "_gpl", "");
KSYMTAB_FUNC(usb_otg_descriptor_init, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_ss, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_release, "_gpl", "");
KSYMTAB_FUNC(usb_ep_autoconfig_reset, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed_and_alt, "_gpl", "");
KSYMTAB_FUNC(config_ep_by_speed, "_gpl", "");
KSYMTAB_FUNC(usb_add_function, "_gpl", "");
KSYMTAB_FUNC(usb_remove_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_deactivate, "_gpl", "");
KSYMTAB_FUNC(usb_function_activate, "_gpl", "");
KSYMTAB_FUNC(usb_interface_id, "_gpl", "");
KSYMTAB_FUNC(usb_func_wakeup, "_gpl", "");
KSYMTAB_FUNC(usb_add_config_only, "_gpl", "");
KSYMTAB_FUNC(usb_add_config, "_gpl", "");
KSYMTAB_FUNC(usb_string_id, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_tab, "_gpl", "");
KSYMTAB_FUNC(usb_gstrings_attach, "_gpl", "");
KSYMTAB_FUNC(usb_string_ids_n, "_gpl", "");
KSYMTAB_FUNC(usb_composite_probe, "_gpl", "");
KSYMTAB_FUNC(usb_composite_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_composite_setup_continue, "_gpl", "");
KSYMTAB_FUNC(usb_composite_overwrite_options, "_gpl", "");
KSYMTAB_FUNC(usb_get_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_get_function, "_gpl", "");
KSYMTAB_FUNC(usb_put_function_instance, "_gpl", "");
KSYMTAB_FUNC(usb_put_function, "_gpl", "");
KSYMTAB_FUNC(usb_function_register, "_gpl", "");
KSYMTAB_FUNC(usb_function_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_os_desc_prepare_interf_dir, "", "");
KSYMTAB_FUNC(unregister_gadget_item, "_gpl", "");
KSYMTAB_FUNC(alloc_ep_req, "_gpl", "");

SYMBOL_CRC(usb_gadget_get_string, 0x4beb505d, "_gpl");
SYMBOL_CRC(usb_validate_langid, 0x0c589aba, "_gpl");
SYMBOL_CRC(usb_descriptor_fillbuf, 0xd2ea2134, "_gpl");
SYMBOL_CRC(usb_gadget_config_buf, 0xf474a207, "_gpl");
SYMBOL_CRC(usb_copy_descriptors, 0x2e09263f, "_gpl");
SYMBOL_CRC(usb_assign_descriptors, 0x8bf21f99, "_gpl");
SYMBOL_CRC(usb_free_all_descriptors, 0xdc18efe4, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_alloc, 0x5c640508, "_gpl");
SYMBOL_CRC(usb_otg_descriptor_init, 0xc6ab1a29, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_ss, 0xb1e49605, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig, 0xb7605522, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_release, 0x135dde8b, "_gpl");
SYMBOL_CRC(usb_ep_autoconfig_reset, 0x2b12519a, "_gpl");
SYMBOL_CRC(config_ep_by_speed_and_alt, 0x425814c8, "_gpl");
SYMBOL_CRC(config_ep_by_speed, 0xc7a68024, "_gpl");
SYMBOL_CRC(usb_add_function, 0x58d7dffe, "_gpl");
SYMBOL_CRC(usb_remove_function, 0xa75629ab, "_gpl");
SYMBOL_CRC(usb_function_deactivate, 0xe49fa116, "_gpl");
SYMBOL_CRC(usb_function_activate, 0x0e1463bd, "_gpl");
SYMBOL_CRC(usb_interface_id, 0x3202f262, "_gpl");
SYMBOL_CRC(usb_func_wakeup, 0x490dcec7, "_gpl");
SYMBOL_CRC(usb_add_config_only, 0x63fac398, "_gpl");
SYMBOL_CRC(usb_add_config, 0x149753b0, "_gpl");
SYMBOL_CRC(usb_string_id, 0x4fa951f8, "_gpl");
SYMBOL_CRC(usb_string_ids_tab, 0x42d449df, "_gpl");
SYMBOL_CRC(usb_gstrings_attach, 0x98a5b200, "_gpl");
SYMBOL_CRC(usb_string_ids_n, 0xcb195da6, "_gpl");
SYMBOL_CRC(usb_composite_probe, 0xf6f9e136, "_gpl");
SYMBOL_CRC(usb_composite_unregister, 0x479f1f71, "_gpl");
SYMBOL_CRC(usb_composite_setup_continue, 0xdbdf9de6, "_gpl");
SYMBOL_CRC(usb_composite_overwrite_options, 0x309b847b, "_gpl");
SYMBOL_CRC(usb_get_function_instance, 0xa3b782ab, "_gpl");
SYMBOL_CRC(usb_get_function, 0x2b8b99d9, "_gpl");
SYMBOL_CRC(usb_put_function_instance, 0x63a03549, "_gpl");
SYMBOL_CRC(usb_put_function, 0x9f52fdc7, "_gpl");
SYMBOL_CRC(usb_function_register, 0x6ed13545, "_gpl");
SYMBOL_CRC(usb_function_unregister, 0xdb2791a7, "_gpl");
SYMBOL_CRC(usb_os_desc_prepare_interf_dir, 0x75682ccf, "");
SYMBOL_CRC(unregister_gadget_item, 0x3a762b30, "_gpl");
SYMBOL_CRC(alloc_ep_req, 0x6181b843, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x258d822b, "config_item_init_type_name" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x5c7c0d3c, "config_item_put" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x56470118, "__warn_printk" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x1d0bf9c4, "usb_gadget_register_driver_owner" },
	{ 0xf20eecb0, "usb_ep_queue" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x21250fb3, "usb_gadget_deactivate" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x7f6f63ba, "device_remove_file" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd5121126, "try_module_get" },
	{ 0xdd763b21, "config_group_init" },
	{ 0x563e8799, "usb_gadget_check_config" },
	{ 0x96848186, "scnprintf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x8fa73ded, "usb_gadget_ep_match_desc" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x82dbc63, "usb_ep_free_request" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5a6104cc, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x8cf1f7ca, "usb_gadget_set_selfpowered" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd9a2b6f8, "usb_gadget_set_remote_wakeup" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x128a3f5f, "usb_gadget_vbus_draw" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0x7ff0fbfd, "config_item_set_name" },
	{ 0x9eab6125, "module_put" },
	{ 0xf171be08, "usb_ep_dequeue" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3082d5a3, "device_create_file" },
	{ 0xe40e540, "_dev_err" },
	{ 0xeec20010, "configfs_register_subsystem" },
	{ 0x29f06452, "init_uts_ns" },
	{ 0x6c5b729a, "config_group_init_type_name" },
	{ 0x10622e48, "usb_gadget_activate" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x5a921311, "strncmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xcb494dc4, "usb_gadget_clear_selfpowered" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a6e05bf, "kstrtou8" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x77ae495d, "usb_speed_string" },
	{ 0x540aae05, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4eb0c073, "usb_gadget_set_state" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x80e2ad81, "usb_ep_alloc_request" },
	{ 0xbb046f4c, "usb_gadget_unregister_driver" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "configfs");


MODULE_INFO(srcversion, "672E7BBC5012020D6976AEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
