#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(xhci_plat_probe, "_gpl", "");
KSYMTAB_FUNC(xhci_plat_remove, "_gpl", "");
KSYMTAB_DATA(xhci_plat_pm_ops, "_gpl", "");

SYMBOL_CRC(xhci_plat_probe, 0xd8406aed, "_gpl");
SYMBOL_CRC(xhci_plat_remove, 0x8c3720ef, "_gpl");
SYMBOL_CRC(xhci_plat_pm_ops, 0x174422e8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6c4b6684, "reset_control_assert" },
	{ 0x19a304ba, "usb_disabled" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x50bce2fb, "devm_reset_control_array_get" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0xec86bc6a, "device_property_read_u32_array" },
	{ 0xb2210d64, "reset_control_deassert" },
	{ 0x9c85f48e, "xhci_resume" },
	{ 0xacf2e0c7, "xhci_run" },
	{ 0x56528a2f, "usb_hcd_is_primary_hcd" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x872aa574, "xhci_init_driver" },
	{ 0xc439fd4e, "usb_put_hcd" },
	{ 0x7da62b4, "__platform_driver_register" },
	{ 0x57a443ae, "dma_set_coherent_mask" },
	{ 0x26b1d156, "devm_clk_get_optional" },
	{ 0x445e8e4, "pm_runtime_forbid" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb42cb2c2, "__usb_create_hcd" },
	{ 0x2ce0da51, "dma_set_mask" },
	{ 0x213216db, "usb_remove_hcd" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0xa637671e, "usb_add_hcd" },
	{ 0x815588a6, "clk_enable" },
	{ 0x67d5d434, "pci_bus_type" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0xa2e1486, "device_property_present" },
	{ 0x2082838a, "usb_hcd_platform_shutdown" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x1d9c5c39, "device_set_wakeup_capable" },
	{ 0xef2a2e0a, "xhci_suspend" },
	{ 0xdac41996, "devm_platform_get_and_ioremap_resource" },
	{ 0xa492d5fd, "platform_driver_unregister" },
	{ 0x146b6629, "platform_get_irq" },
	{ 0xe86f718d, "xhci_gen_setup" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "usbcore,xhci-hcd");

MODULE_ALIAS("acpi*:PNP0D10:*");

MODULE_INFO(srcversion, "A2E7C38CDE6DA51E732B133");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
