#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb8cb0115, "file_remove_privs" },
	{ 0xdd250cec, "fault_in_iov_iter_writeable" },
	{ 0xc7f0f5ab, "list_lru_add_obj" },
	{ 0x9084b044, "clear_page_erms" },
	{ 0xf1e046cc, "panic" },
	{ 0x917d953b, "__SCT__tp_func_wbc_writepage" },
	{ 0x461f317d, "kobject_init_and_add" },
	{ 0x5c8e3f1a, "thaw_super" },
	{ 0x4525e33f, "bio_add_page" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x572bfba9, "write_inode_now" },
	{ 0x90ed952d, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xd23838ca, "d_obtain_alias" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0x395fb5aa, "posix_acl_chmod" },
	{ 0x20436f28, "_raw_spin_trylock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x22d2dc62, "list_lru_count_one" },
	{ 0xeace5b9b, "__seq_open_private" },
	{ 0xa5e2b6dc, "rhashtable_walk_stop" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa0278765, "folio_end_read" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0x9ff720cc, "block_dirty_folio" },
	{ 0xa9bf224e, "finish_no_open" },
	{ 0xd38c83ac, "iomap_bmap" },
	{ 0x86569349, "mpage_read_folio" },
	{ 0x8f09fc9e, "bpf_trace_run1" },
	{ 0x30ccdfd4, "default_llseek" },
	{ 0x14c01631, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x8332e51b, "kern_path" },
	{ 0x23299f5b, "security_inode_invalidate_secctx" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xcaf1e905, "iomap_fiemap" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd49312cb, "__list_lru_init" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xda6a17dd, "__block_write_full_folio" },
	{ 0xf7658c7e, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0x8c966cf0, "complete_all" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0x9fcde851, "end_page_writeback" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0xb4bccf86, "lockref_mark_dead" },
	{ 0x916b92be, "mutex_trylock" },
	{ 0x1bf875d2, "truncate_setsize" },
	{ 0x3dd00239, "insert_inode_locked4" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0xaa8ba0f3, "set_page_dirty" },
	{ 0x55c964d7, "dlm_posix_get" },
	{ 0x903b627c, "list_lru_isolate_move" },
	{ 0x2ac61fb3, "pv_ops" },
	{ 0x589e118c, "sysfs_remove_group" },
	{ 0xcb0ebf2e, "bpf_trace_run3" },
	{ 0xa522b7be, "iomap_read_folio" },
	{ 0x26ccd346, "seq_read" },
	{ 0x94c62eb0, "trace_print_flags_seq" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xb15b4109, "crc32c" },
	{ 0x51ed908a, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x8a6c5f1b, "dlm_lock" },
	{ 0x42852197, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x92a8836d, "debugfs_create_file" },
	{ 0x71ecdc81, "igrab" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x7795e84d, "trace_event_buffer_reserve" },
	{ 0x9410e0cb, "d_add" },
	{ 0x2a799ad, "set_page_writeback" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xb704423c, "mpage_readahead" },
	{ 0x3c50ca67, "filemap_fdatawait_range" },
	{ 0xdc4d9b0e, "dlm_posix_cancel" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66be814a, "iomap_writepages" },
	{ 0xe091c977, "list_sort" },
	{ 0xeb644735, "alloc_pages" },
	{ 0x39d45d27, "inode_set_ctime_current" },
	{ 0x60925371, "inc_nlink" },
	{ 0x44e9a829, "match_token" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x11fcf8be, "__folio_put" },
	{ 0xa6fa21a5, "get_tree_bdev" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xd3db45d3, "list_lru_walk_one" },
	{ 0x561751cb, "seq_printf" },
	{ 0x3bf6ba16, "dput" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7d61ec2c, "deactivate_locked_super" },
	{ 0x58115dfc, "dlm_posix_lock" },
	{ 0xb707d9ea, "touch_atime" },
	{ 0x1fbe0019, "__percpu_down_read" },
	{ 0x25604758, "__lock_buffer" },
	{ 0x883bd02b, "tag_pages_for_writeback" },
	{ 0x8cfaa163, "kobject_uevent" },
	{ 0xeb06a219, "pid_nr_ns" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x344d8512, "posix_acl_update_mode" },
	{ 0x9cd927ce, "generic_file_open" },
	{ 0x6a9951a0, "truncate_inode_pages_range" },
	{ 0x58c7fbdd, "__folio_lock" },
	{ 0x43838778, "folio_wait_bit" },
	{ 0x15da77a5, "pagecache_get_page" },
	{ 0xdf260eeb, "is_bad_inode" },
	{ 0x1be8b942, "seq_puts" },
	{ 0xb14b22e8, "rcuwait_wake_up" },
	{ 0x336466c, "rhashtable_walk_next" },
	{ 0x7280a51b, "block_is_partially_uptodate" },
	{ 0x80162375, "iomap_zero_range" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xbdbf083e, "__fs_parse" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x2c205e22, "posix_acl_to_xattr" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x23de7750, "seq_release_private" },
	{ 0x9b0dc4d2, "seq_open" },
	{ 0xe3837cd, "dget_parent" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x2ac8f31d, "__SCK__tp_func_wbc_writepage" },
	{ 0x9e52e9c5, "iget5_locked" },
	{ 0x3c01ff3c, "filemap_write_and_wait_range" },
	{ 0xb21f94c0, "list_lru_del_obj" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x18958203, "generic_update_time" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0xdf557273, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0xab9d5284, "kmem_cache_alloc_lru" },
	{ 0x8b856ef8, "filemap_fault" },
	{ 0xc1cbb9b7, "debugfs_create_dir" },
	{ 0x6bac0343, "__mark_inode_dirty" },
	{ 0xa76b7931, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x98f3012a, "iomap_release_folio" },
	{ 0xb6c22d16, "iomap_is_partially_uptodate" },
	{ 0x87f0f6f3, "seq_open_private" },
	{ 0xb29e4782, "lockref_get_not_dead" },
	{ 0x496d75b4, "bio_alloc_bioset" },
	{ 0x84502a47, "blk_status_to_errno" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x39cd779c, "rhashtable_walk_exit" },
	{ 0xd7f083cb, "put_pid" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xbade236f, "sb_min_blocksize" },
	{ 0x90b4fd7e, "drop_nlink" },
	{ 0xdf4f580a, "fault_in_iov_iter_readable" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xd4235de8, "iomap_seek_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x4bef1c67, "empty_name" },
	{ 0xd7c949a8, "iget_failed" },
	{ 0x4425d813, "fs_bio_set" },
	{ 0xac1f3528, "address_space_init_once" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x766a0927, "mempool_alloc_pages" },
	{ 0x79b5a790, "kset_create_and_add" },
	{ 0x7bfbabb0, "blkdev_issue_discard" },
	{ 0xcd99cfb6, "kobject_put" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0xe1842c35, "__tracepoint_wbc_writepage" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x22c70a8f, "truncate_inode_pages" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0xb91165b0, "bh_uptodate_or_lock" },
	{ 0x7f28ceed, "filemap_fdatawrite" },
	{ 0x831c3f4d, "iomap_readahead" },
	{ 0x80ca9417, "generic_fillattr" },
	{ 0xa06896bf, "setattr_prepare" },
	{ 0xabb39e9f, "vfs_fsync_range" },
	{ 0xf6cadbf6, "filemap_migrate_folio" },
	{ 0xb1365377, "may_setattr" },
	{ 0x760a0f4f, "yield" },
	{ 0x98c178d2, "completion_done" },
	{ 0x97c3426a, "shrinker_alloc" },
	{ 0xe732bad2, "clear_nlink" },
	{ 0x3eaf2a14, "filemap_get_folios_tag" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x1153003c, "d_instantiate" },
	{ 0x78e61040, "__bio_add_page" },
	{ 0xe2000f17, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5fd181f, "clear_inode" },
	{ 0xc5a24ae2, "inode_to_bdi" },
	{ 0x782e5d62, "bpf_trace_run4" },
	{ 0xd149df3c, "iocb_bio_iopoll" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x38d7077f, "lockref_put_not_zero" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x5cff7ef4, "fs_param_is_string" },
	{ 0x898bcc28, "__folio_batch_release" },
	{ 0xde0d8b77, "folio_unlock" },
	{ 0x4aea463f, "crc32_le_shift" },
	{ 0xef2b5c66, "new_inode" },
	{ 0x7ce18c9f, "from_kqid" },
	{ 0xeec5603f, "seq_release" },
	{ 0x6c75958c, "file_fdatawait_range" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0x6bcbfbd4, "filemap_map_pages" },
	{ 0x58e369f1, "iomap_file_buffered_write" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x210dd3f5, "trace_raw_output_prep" },
	{ 0x1c18038f, "forget_all_cached_acls" },
	{ 0x937733e3, "qid_valid" },
	{ 0x68ec5465, "init_special_inode" },
	{ 0x2abe243c, "unregister_filesystem" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x10828cfc, "task_active_pid_ns" },
	{ 0xd175aec1, "mark_buffer_dirty" },
	{ 0xca9360b5, "rb_next" },
	{ 0x258fb53b, "list_lru_destroy" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x6116d3c0, "generic_error_remove_folio" },
	{ 0x39eb90cb, "filemap_fdatawrite_range" },
	{ 0x47829a74, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xcd224e1d, "dlm_new_lockspace" },
	{ 0x3265022f, "is_subdir" },
	{ 0x7ba427ce, "d_make_root" },
	{ 0x7a301ae4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xd52f6e7a, "sb_set_blocksize" },
	{ 0x562f86c4, "__put_task_struct" },
	{ 0x43d387df, "read_cache_folio" },
	{ 0xa74138e1, "invalidate_mapping_pages" },
	{ 0x170cf1d4, "sync_filesystem" },
	{ 0x7aff77a3, "__cpu_present_mask" },
	{ 0x4b62826c, "dlm_unlock" },
	{ 0x3fe5a32b, "end_buffer_read_sync" },
	{ 0xe4820267, "folio_redirty_for_writepage" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xff1fc530, "sget_fc" },
	{ 0x716b60f, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xf7c9583f, "current_time" },
	{ 0x7daece67, "quota_send_warning" },
	{ 0xb35c5ee5, "trace_event_raw_init" },
	{ 0x6d801c72, "iomap_get_folio" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x8b910be2, "errseq_sample" },
	{ 0x76376f76, "unmap_mapping_range" },
	{ 0x7e2beb91, "ihold" },
	{ 0xcc2c8974, "inode_dio_wait" },
	{ 0x1f69166f, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2420af70, "truncate_pagecache_range" },
	{ 0x37a0cba, "kfree" },
	{ 0xae04012c, "__vmalloc" },
	{ 0x3ad838f4, "finish_open" },
	{ 0x930ec716, "iput" },
	{ 0xf7f82b5, "kset_unregister" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0x3840cde6, "fs_param_is_enum" },
	{ 0x312603eb, "fs_param_is_s32" },
	{ 0x75c188f5, "logfc" },
	{ 0x8d55bb8a, "qid_eq" },
	{ 0xff7c6bb0, "iter_file_splice_write" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0x35343421, "filemap_release_folio" },
	{ 0x784f23a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x9c86b9ab, "fileattr_fill_flags" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xb59da1fa, "rhashtable_walk_enter" },
	{ 0x523f0f70, "register_filesystem" },
	{ 0x98b08387, "list_lru_count_node" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0xdf859e0b, "iomap_dirty_folio" },
	{ 0xcaddcf31, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xebf8c9d7, "sync_inode_metadata" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x9493fc86, "node_states" },
	{ 0xfebde058, "mempool_free" },
	{ 0xbf7fb8a0, "path_put" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x96b3e4e0, "down_read_trylock" },
	{ 0x45cff65c, "submit_bh" },
	{ 0x6b609c23, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x2408cc5d, "d_prune_aliases" },
	{ 0xcf9f3328, "dlm_release_lockspace" },
	{ 0x82ec3594, "wake_up_process" },
	{ 0xc35971af, "shrinker_free" },
	{ 0x7e459010, "trace_event_buffer_commit" },
	{ 0x54ae7adf, "simple_inode_init_ts" },
	{ 0xfad1ecff, "iomap_invalidate_folio" },
	{ 0x5b14f69e, "bio_clone_blkg_association" },
	{ 0xdb9ed668, "d_mark_dontcache" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x253c0721, "iomap_dio_rw" },
	{ 0xe52fceed, "locks_lock_inode_wait" },
	{ 0x47aee6a2, "inode_newsize_ok" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0xb5e73116, "flush_delayed_work" },
	{ 0x96185c7e, "kill_block_super" },
	{ 0x325304c, "deactivate_super" },
	{ 0x74d9248b, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0xb0f5dea4, "block_invalidate_folio" },
	{ 0xaa69483a, "iomap_seek_hole" },
	{ 0x60833139, "posix_acl_from_xattr" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x1eaeb8fc, "dlm_posix_unlock" },
	{ 0xf5f3b814, "try_to_free_buffers" },
	{ 0xcea3276, "make_kuid" },
	{ 0x1cb21435, "create_empty_buffers" },
	{ 0x872bbf91, "truncate_inode_pages_final" },
	{ 0xe0540fc, "generic_setlease" },
	{ 0x3b5ccc8, "fs_kobj" },
	{ 0x57a6816e, "wait_for_stable_page" },
	{ 0x5e29fd0f, "__filemap_set_wb_err" },
	{ 0xa916b694, "strnlen" },
	{ 0xc9c030df, "shrinker_register" },
	{ 0x8fbd6791, "__filemap_get_folio" },
	{ 0xdb46d34a, "locks_init_lock" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x7ad050b9, "qid_lt" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x34d9bdde, "simple_nosetlease" },
	{ 0x88745aff, "__free_pages" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0x9d49bd2f, "folio_mark_dirty" },
	{ 0x16e297c3, "bit_wait" },
	{ 0x269f5ddd, "blk_finish_plug" },
	{ 0x23b4e0d7, "clear_page_rep" },
	{ 0x981bdb74, "__cond_resched_lock" },
	{ 0xfec5ee74, "seq_vprintf" },
	{ 0xc6cbbc89, "capable" },
	{ 0xb9d4a397, "submit_bio" },
	{ 0x4364e076, "find_ge_pid" },
	{ 0xfdc70d50, "freeze_super" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x84d94eb8, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x867275d6, "mark_buffer_write_io_error" },
	{ 0x8e33c631, "task_lookup_next_fdget_rcu" },
	{ 0xad79d6b4, "inode_init_once" },
	{ 0xe4b17db6, "file_write_and_wait_range" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xee4e9f92, "copy_splice_read" },
	{ 0x9a9a3f6e, "mark_buffer_async_write" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x58e3306d, "bit_wait_io" },
	{ 0x5c581540, "seq_escape_mem" },
	{ 0x2b863041, "kobject_uevent_env" },
	{ 0x65b9ec7e, "bio_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x448e2cc0, "__brelse" },
	{ 0x9e4189a6, "posix_acl_create" },
	{ 0x8c7e0a7e, "kthread_stop_put" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3c0a72ed, "perf_trace_run_bpf_submit" },
	{ 0xeac20e87, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xda69bc2f, "shrink_dcache_sb" },
	{ 0xeed7fd81, "up_write" },
	{ 0xb7c0f443, "sort" },
	{ 0xc19ba61a, "generic_file_read_iter" },
	{ 0x459223e5, "unlock_page" },
	{ 0x9fe00fc9, "lockref_put_or_lock" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x4e3567f7, "match_int" },
	{ 0x2e8981bd, "sysfs_remove_link" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x651f289a, "set_cached_acl" },
	{ 0xc2f301a8, "pid_task" },
	{ 0xfdad3064, "truncate_pagecache" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb30152f5, "bpf_trace_run5" },
	{ 0x1a3bece4, "setattr_copy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xf42fe640, "write_cache_pages" },
	{ 0xf5820566, "file_update_time" },
	{ 0xb5bf8f92, "__wait_on_buffer" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x235c8f19, "set_nlink" },
	{ 0x93a6e0b2, "io_schedule" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xa045449b, "debugfs_remove" },
	{ 0x925493f, "clear_page_orig" },
	{ 0xd985dc99, "mempool_free_pages" },
	{ 0x132a169f, "security_inode_init_security" },
	{ 0x82d79b51, "sysctl_vfs_cache_pressure" },
	{ 0xdf12c9b5, "seq_putc" },
	{ 0x84dc50a6, "from_kgid" },
	{ 0x6dcf857f, "uuid_null" },
	{ 0x9a26b4ee, "__bh_read" },
	{ 0xf5a9f9f6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x4f807897, "bio_chain" },
	{ 0x1721538a, "folio_wait_writeback" },
	{ 0x4e2d6c95, "blkdev_issue_zeroout" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "dlm,libcrc32c");


MODULE_INFO(srcversion, "A2504CEF334B1218C465711");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
