#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xef9616af, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xea817b50, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x66e97998, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xacf00d67, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xc77cdb0e, "_gpl");
SYMBOL_CRC(br_forward, 0xffc22209, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x1da2d559, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x1fa40e9d, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x755a87c9, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0xb6ac5f14, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xa6a946e3, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x8dc01958, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x4462a50b, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x41ed8f96, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x81f75749, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0x9277df54, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x51a1fb56, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x6960b627, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x80d74eba, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0xb5e2ea3a, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x9c1c50d9, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x18c6427b, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x0fa4e787, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xe2b873b7, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x864c04a1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x870f1d1e, "skb_trim" },
	{ 0xfe5762af, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xe8bd6a45, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x99bdd769, "__ip_mc_inc_group" },
	{ 0x535d1067, "netdev_walk_all_upper_dev_rcu" },
	{ 0x2ac61fb3, "pv_ops" },
	{ 0x589e118c, "sysfs_remove_group" },
	{ 0x55ff6c48, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x167b0233, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xea295358, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xaae973e9, "__netpoll_setup" },
	{ 0x2e1fbb2d, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xc4f381, "vlan_vid_add" },
	{ 0xaf684e83, "neigh_destroy" },
	{ 0xbd535782, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x9f4b76c7, "kobject_del" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0xfe5da962, "__SCK__tp_func_br_fdb_update" },
	{ 0xf25121e4, "call_netdevice_notifiers" },
	{ 0x23129fc4, "is_skb_forwardable" },
	{ 0xc9ba6611, "vlan_vid_del" },
	{ 0x4d2ee5c9, "dev_set_allmulti" },
	{ 0x5c796075, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x678ec0d6, "netdev_master_upper_dev_get" },
	{ 0x46d70e78, "ipv6_dev_mc_inc" },
	{ 0x4753db28, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd9d225af, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x43778c72, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xe3a8c951, "skb_clone" },
	{ 0xef794090, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xe2b6b622, "metadata_dst_alloc" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x85902174, "dst_release" },
	{ 0x5a83ea63, "netif_carrier_on" },
	{ 0x8cfaa163, "kobject_uevent" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x5b4ca894, "arp_tbl" },
	{ 0x344d8f32, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4406504f, "netdev_rx_handler_register" },
	{ 0x3daa07a7, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa62e3df2, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x5c65df85, "dev_disable_lro" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x162895fe, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x6837b1fa, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0xe876f09d, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xc7730b4a, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0x2f2b92cf, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xab951216, "netif_set_tso_max_segs" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xee220478, "skb_ext_add" },
	{ 0x68337043, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xbc5f591, "stp_proto_unregister" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x387ab9f0, "skb_dump" },
	{ 0x5111526e, "neigh_lookup" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xcd99cfb6, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xad2f27f2, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x3ed908d8, "netdev_lower_get_next" },
	{ 0x21bf83de, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7bcb50a3, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x9038e1f4, "skb_copy_bits" },
	{ 0xf3c315ce, "__nlmsg_put" },
	{ 0x8a6c7285, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x35cf88df, "ipv6_mc_check_mld" },
	{ 0x91102ce, "skb_put" },
	{ 0xae7f3d38, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7a1bf831, "call_switchdev_notifiers" },
	{ 0x419f54ae, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xd9170801, "netdev_update_features" },
	{ 0x1ff05289, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x1d029b3c, "__netpoll_free" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xb7f54816, "nla_put_64bit" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0x94358549, "dev_uc_del" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x14e2c5dd, "netpoll_send_skb" },
	{ 0xcdcfdb80, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd6e0dae4, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x695b39d8, "percpu_counter_destroy_many" },
	{ 0x69acdf38, "memcpy" },
	{ 0x6cc6ae7f, "switchdev_port_obj_act_is_deferred" },
	{ 0x9829f628, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0xdeff016f, "dev_set_promiscuity" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0xf186076c, "rhashtable_init" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x85650942, "unregister_netdevice_queue" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xaaee43fd, "netdev_state_change" },
	{ 0x3eea3aaf, "__pskb_copy_fclone" },
	{ 0x3bff26f7, "__dev_get_by_name" },
	{ 0xc87d7709, "ether_setup" },
	{ 0x78d273c7, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x7589e353, "pskb_expand_head" },
	{ 0xee65c046, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x9ef6c44, "brioctl_set" },
	{ 0xafc68783, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0xa72b9572, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x702d0ed5, "alloc_netdev_mqs" },
	{ 0x5f228239, "passthru_features_check" },
	{ 0xb8f7350a, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xd85720b2, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x41ac0336, "__SCK__tp_func_br_mdb_full" },
	{ 0x9f5e24f3, "rtnl_af_register" },
	{ 0xbff18645, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x11f685e3, "__alloc_skb" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0x8faf11f1, "rtnl_set_sk_err" },
	{ 0x7b87dbb8, "skb_vlan_pop" },
	{ 0xbe21241d, "rtnl_unicast" },
	{ 0x84d94eb8, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x58339aa, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x6350d90a, "nla_reserve_64bit" },
	{ 0xdd3cdf99, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xdcfaa68f, "__dev_get_by_index" },
	{ 0xa4a6015e, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x9e78ae1, "dev_get_port_parent_id" },
	{ 0xc24639cf, "init_net" },
	{ 0x2e79e459, "ipv6_stub" },
	{ 0x31c559bc, "inet_confirm_addr" },
	{ 0xe4ed5e28, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2e8981bd, "sysfs_remove_link" },
	{ 0xd2b7c591, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xcdf94cb6, "__SCK__tp_func_br_fdb_add" },
	{ 0xa154ab1b, "rtnl_af_unregister" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x9882f562, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x855a9809, "dev_get_by_index_rcu" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0x4467492e, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xb052c01, "skb_push" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0xe90ff9cf, "br_fdb_test_addr_hook" },
	{ 0xade72070, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0xbac1b7e, "netdev_upper_dev_unlink" },
	{ 0x2a72e1bb, "netif_receive_skb" },
	{ 0xd5a43273, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x17523abc, "llc_mac_hdr_init" },
	{ 0x15313ebd, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x63b756c0, "__SCK__tp_func_fdb_delete" },
	{ 0x461f317d, "kobject_init_and_add" },
	{ 0x68578113, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xdd9f9d72, "ns_capable" },
	{ 0x68c13fc4, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x904b1b26, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x698cb07f, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xeff6cac3, "arp_create" },
	{ 0xd96093a, "__ethtool_get_link_ksettings" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x5b6672f8, "stp_proto_register" },
	{ 0xb3636e70, "rtnl_register_module" },
	{ 0x679d0aa5, "__tracepoint_br_fdb_update" },
	{ 0x2f8bfc96, "sysfs_rename_link_ns" },
	{ 0x98b052d5, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x91782581, "rht_bucket_nested_insert" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x52ea81a7, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x61820724, "__pskb_pull_tail" },
	{ 0x39224d8b, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x67025248, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0xdf08bfd, "ip_mc_check_igmp" },
	{ 0xf88e7b9e, "__netdev_alloc_skb" },
	{ 0xb917289f, "rhashtable_destroy" },
	{ 0xbd95c7ac, "switchdev_port_obj_del" },
	{ 0xb6f359fd, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xa791ef6d, "kobject_create_and_add" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "stp,llc");


MODULE_INFO(srcversion, "8A6DDC91E15B7297D908627");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
