#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0xc0e183bf, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0xf29bbfd2, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0x117a77ff, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x6e10d8dc, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x5d03b2f7, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0xcc34c287, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x2e4806c2, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xe1824fb2, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x8d07fc5a, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x19117ee8, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xe3944d7f, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x6d99c020, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xd5bff97b, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x74af47a4, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xa6148827, "_gpl");
SYMBOL_CRC(dccp_connect, 0x8965c944, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x9c8e7f32, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0xaa74eac4, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0x3ac2c6cf, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xc30806e6, "_gpl");
SYMBOL_CRC(dccp_done, 0xae6488f8, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x1c5947d7, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x4ef77997, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0xdd9fe5f0, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0xf591e625, "_gpl");
SYMBOL_CRC(dccp_poll, 0x6441e5d0, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0x94ef86bf, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0xc59401e5, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0xc62bfbe9, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xb6e8027c, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0xe2b9e88a, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x599007d8, "_gpl");
SYMBOL_CRC(dccp_close, 0x5707c0ee, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x6c093e67, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0xa4b4cde3, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x6a5cb5ee, "__get_free_pages" },
	{ 0x11f685e3, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xee674359, "sk_reset_timer" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0x3b91cca6, "skb_queue_tail" },
	{ 0x5eb7a685, "sk_stream_wait_close" },
	{ 0xd746cb2, "inet_twsk_hashdance" },
	{ 0x4e547048, "__kmalloc_node_track_caller" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3c0a72ed, "perf_trace_run_bpf_submit" },
	{ 0xc24639cf, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x79308d56, "ip6_mtu" },
	{ 0x579b8b11, "sk_free" },
	{ 0xe9422b92, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0xb052c01, "skb_push" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0x62723d4f, "proc_doulongvec_minmax" },
	{ 0xf5a9f9f6, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe70ea996, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x9fa9267e, "skb_copy_datagram_iter" },
	{ 0xd9f636f4, "tcp_stream_memory_free" },
	{ 0x7342896, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8f3fb67, "sk_wait_data" },
	{ 0x25153d9b, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x7fbb5392, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb35f11a2, "inet_csk_listen_start" },
	{ 0x533c4d52, "sk_free_unlock_clone" },
	{ 0xb4812b76, "sock_rfree" },
	{ 0x5ab4868a, "ipv4_mtu" },
	{ 0xd6fe9dbf, "skb_set_owner_w" },
	{ 0x7795e84d, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xf0be52c0, "sock_alloc_send_pskb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xe3a8c951, "skb_clone" },
	{ 0xb9163ee3, "inet_sk_set_state" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0x85902174, "dst_release" },
	{ 0x33f4d864, "sk_stream_wait_connect" },
	{ 0x4ffdc778, "_copy_from_iter" },
	{ 0x2343c553, "inet_csk_destroy_sock" },
	{ 0x2b8664f6, "sk_stop_timer" },
	{ 0x213cc895, "unregister_net_sysctl_table" },
	{ 0xab67a02b, "inet_rtx_syn_ack" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xa48e05c4, "param_ops_int" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x8fbbf3ef, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x5f016120, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x387ab9f0, "skb_dump" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0xa65bcf57, "inet_csk_complete_hashdance" },
	{ 0x9d16dd98, "release_sock" },
	{ 0xf1ae72b8, "inet_csk_reqsk_queue_drop" },
	{ 0x8d39e56b, "__inet_twsk_schedule" },
	{ 0xa647b399, "proc_dointvec_minmax" },
	{ 0x57d62f5d, "inet_hashinfo2_init_mod" },
	{ 0xb0f3cfea, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x928fe024, "inet_ehash_locks_alloc" },
	{ 0x91102ce, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1ff05289, "consume_skb" },
	{ 0x8549ba61, "sock_wmalloc" },
	{ 0x210dd3f5, "trace_raw_output_prep" },
	{ 0x7489cc27, "skb_dequeue" },
	{ 0x47829a74, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0x7a301ae4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x424d2905, "prepare_to_wait" },
	{ 0xb35c5ee5, "trace_event_raw_init" },
	{ 0xf06a9ce6, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x784f23a, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xd721aaf2, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0x973cf3fb, "inet_twsk_alloc" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd6b199a0, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x7e459010, "trace_event_buffer_commit" },
	{ 0x1de594c9, "register_net_sysctl_sz" },
	{ 0x5b266709, "inet_sock_destruct" },
	{ 0x3604921e, "inet_put_port" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F9E8AC69B8CEAB1A337F55D");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
