#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4bcb8eb2, "km_state_notify" },
	{ 0xdd9f9d72, "ns_capable" },
	{ 0xf39612e5, "sk_alloc" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x727a48ef, "sock_init_data" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x1a457733, "proc_create_net_data" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4ffdc778, "_copy_from_iter" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xaab23340, "xfrm_calg_get_byname" },
	{ 0xd6f50cf7, "xfrm_ealg_get_byname" },
	{ 0x5978f9d1, "skb_queue_purge_reason" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x579b8b11, "sk_free" },
	{ 0x49044566, "xfrm_policy_alloc" },
	{ 0xc65304b3, "security_xfrm_policy_alloc" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ff350da, "xfrm_policy_destroy" },
	{ 0xb89042d1, "xfrm_policy_byid" },
	{ 0x2b4da2f9, "xfrm_audit_policy_delete" },
	{ 0xc599a772, "security_xfrm_state_delete" },
	{ 0xbd075d4b, "xfrm_state_delete" },
	{ 0x88b4aff5, "xfrm_audit_state_delete" },
	{ 0x1a911156, "__xfrm_state_destroy" },
	{ 0xf39dc688, "xfrm_policy_bysel_ctx" },
	{ 0xa9c63b69, "security_xfrm_policy_free" },
	{ 0x54d292be, "xfrm_migrate" },
	{ 0xab11804a, "xfrm_state_alloc" },
	{ 0x27866435, "security_xfrm_state_alloc" },
	{ 0xc80741, "xfrm_ealg_get_byid" },
	{ 0x754d539c, "strlen" },
	{ 0x2ebc64eb, "xfrm_init_state" },
	{ 0x7791c195, "xfrm_state_update" },
	{ 0xe409fe72, "xfrm_audit_state_add" },
	{ 0x18b82146, "xfrm_state_add" },
	{ 0x5c699441, "xfrm_aalg_get_byid" },
	{ 0x72395dc1, "xfrm_calg_get_byid" },
	{ 0x4cfad944, "xfrm_policy_insert" },
	{ 0xedafaa2e, "xfrm_audit_policy_add" },
	{ 0x83433fb5, "xfrm_find_acq_byseq" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0xc24639cf, "init_net" },
	{ 0x37e497e8, "verify_spi_info" },
	{ 0xba714f68, "xfrm_alloc_spi" },
	{ 0x9cc58c93, "xfrm_find_acq" },
	{ 0x27f73b81, "sock_no_bind" },
	{ 0x4be99414, "sock_no_connect" },
	{ 0x3460136e, "sock_no_socketpair" },
	{ 0xdf1106fe, "sock_no_accept" },
	{ 0x6b91ef4d, "sock_no_getname" },
	{ 0x75d3c438, "datagram_poll" },
	{ 0x19e1670, "sock_no_ioctl" },
	{ 0x1ce85fad, "sock_no_listen" },
	{ 0xf7ba3623, "sock_no_shutdown" },
	{ 0xf0119fe0, "sock_no_mmap" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa9fab8ca, "proto_register" },
	{ 0xee65c046, "register_pernet_subsys" },
	{ 0x5076ecc6, "sock_register" },
	{ 0x98b052d5, "unregister_pernet_subsys" },
	{ 0xfba27723, "xfrm_register_km" },
	{ 0x773c5430, "proto_unregister" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe3a8c951, "skb_clone" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4812b76, "sock_rfree" },
	{ 0x3b91cca6, "skb_queue_tail" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0x11f685e3, "__alloc_skb" },
	{ 0x91102ce, "skb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x69acdf38, "memcpy" },
	{ 0x92997ed8, "_printk" },
	{ 0x48e4b933, "xfrm_policy_walk" },
	{ 0x9a511eff, "xfrm_policy_walk_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xecad6515, "skb_recv_datagram" },
	{ 0x9fa9267e, "skb_copy_datagram_iter" },
	{ 0x107dc311, "skb_free_datagram" },
	{ 0xacee523a, "__sock_recv_cmsgs" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9df055a, "xfrm_policy_walk_init" },
	{ 0xc060287f, "skb_copy" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x2782b393, "xfrm_state_walk_init" },
	{ 0xda9728f3, "xfrm_state_walk_done" },
	{ 0xfde48fec, "xfrm_state_walk" },
	{ 0x50d945b4, "xfrm_state_lookup" },
	{ 0x2ff9ab7d, "remove_proc_entry" },
	{ 0x79c163d3, "sock_i_ino" },
	{ 0x41f04151, "sock_i_uid" },
	{ 0x37d576a1, "from_kuid_munged" },
	{ 0x561751cb, "seq_printf" },
	{ 0x67b78eb3, "seq_hlist_next_rcu" },
	{ 0x1e9edfb7, "seq_hlist_start_head_rcu" },
	{ 0xb6dbcea7, "xfrm_unregister_km" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x28e23139, "xfrm_probe_algs" },
	{ 0xa575945, "xfrm_count_pfkey_auth_supported" },
	{ 0x7a8ca627, "xfrm_count_pfkey_enc_supported" },
	{ 0xb73be794, "xfrm_ealg_get_byidx" },
	{ 0xc6b1fdbe, "xfrm_aalg_get_byidx" },
	{ 0xa4d80a60, "xfrm_policy_flush" },
	{ 0x29231ab1, "km_policy_notify" },
	{ 0xb2a94585, "xfrm_state_flush" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "5212B06BDF22C61446E6D4A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
