#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(l2tp_ioctl, "_gpl", "");

SYMBOL_CRC(l2tp_ioctl, 0xfd63760d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x179634f0, "sock_queue_rcv_skb_reason" },
	{ 0x55faef83, "__udp_disconnect" },
	{ 0xe70ea996, "lock_sock_nested" },
	{ 0x9d16dd98, "release_sock" },
	{ 0x25279ef5, "__ip4_datagram_connect" },
	{ 0x2e332034, "_raw_write_lock_bh" },
	{ 0xce56ce8c, "_raw_write_unlock_bh" },
	{ 0xa87cfb2b, "sk_common_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcb3655cf, "inet_addr_type" },
	{ 0x85902174, "dst_release" },
	{ 0x8549ba61, "sock_wmalloc" },
	{ 0x91102ce, "skb_put" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x4ffdc778, "_copy_from_iter" },
	{ 0x60647613, "__sk_dst_check" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xf838267a, "ip_queue_xmit" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7fdeed2c, "security_sk_classify_flow" },
	{ 0xac81748a, "ip_route_output_flow" },
	{ 0xaa83e328, "sk_setup_caps" },
	{ 0xcea3276, "make_kuid" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0xecad6515, "skb_recv_datagram" },
	{ 0x9fa9267e, "skb_copy_datagram_iter" },
	{ 0x107dc311, "skb_free_datagram" },
	{ 0x14dc9076, "__sock_recv_timestamp" },
	{ 0xe24d4100, "ip_cmsg_recv_offset" },
	{ 0x5481a250, "__sock_recv_wifi_status" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xee7cc9fe, "l2tp_session_get" },
	{ 0xf064e5bf, "l2tp_recv_common" },
	{ 0xa65d722c, "l2tp_session_dec_refcount" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x7920e622, "__sk_receive_skb" },
	{ 0x61820724, "__pskb_pull_tail" },
	{ 0x3ef288, "__xfrm_policy_check" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x579b8b11, "sk_free" },
	{ 0x387ab9f0, "skb_dump" },
	{ 0xd647ccdd, "inet_release" },
	{ 0xe22b2660, "inet_bind" },
	{ 0x1c7eef6e, "inet_dgram_connect" },
	{ 0x3460136e, "sock_no_socketpair" },
	{ 0xdf1106fe, "sock_no_accept" },
	{ 0x75d3c438, "datagram_poll" },
	{ 0xe18f01e1, "inet_ioctl" },
	{ 0xe4514d3, "sock_gettstamp" },
	{ 0x1ce85fad, "sock_no_listen" },
	{ 0xf6d8d39b, "inet_shutdown" },
	{ 0x77ce22b4, "sock_common_setsockopt" },
	{ 0xaf0423e6, "sock_common_getsockopt" },
	{ 0x24468058, "inet_sendmsg" },
	{ 0xb4dad959, "sock_common_recvmsg" },
	{ 0xf0119fe0, "sock_no_mmap" },
	{ 0x318d3d9e, "ip_setsockopt" },
	{ 0x87031b5f, "ip_getsockopt" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x92997ed8, "_printk" },
	{ 0xa9fab8ca, "proto_register" },
	{ 0x4df2831b, "inet_add_protocol" },
	{ 0x773c5430, "proto_unregister" },
	{ 0xa0462d4f, "inet_register_protosw" },
	{ 0xfb40d0f8, "l2tp_sk_to_tunnel" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0xccff1582, "l2tp_tunnel_delete" },
	{ 0xf67c630e, "inet_unregister_protosw" },
	{ 0xcbe7d82b, "inet_del_protocol" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "l2tp_core");


MODULE_INFO(srcversion, "A6ECB3EE8D796BCA4A16D0A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
