#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l45_probe, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_remove, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_pm_ops, "_gpl", "");
KSYMTAB_FUNC(cs35l45_apply_patch, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_i2c_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_DATA(cs35l45_spi_regmap, "_gpl", "SND_SOC_CS35L45");
KSYMTAB_FUNC(cs35l45_get_clk_freq_id, "_gpl", "SND_SOC_CS35L45");

SYMBOL_CRC(cs35l45_probe, 0x0db59927, "_gpl");
SYMBOL_CRC(cs35l45_remove, 0x557033f5, "_gpl");
SYMBOL_CRC(cs35l45_pm_ops, 0x4df09f44, "_gpl");
SYMBOL_CRC(cs35l45_apply_patch, 0x9a1de124, "_gpl");
SYMBOL_CRC(cs35l45_i2c_regmap, 0x0c23407b, "_gpl");
SYMBOL_CRC(cs35l45_spi_regmap, 0x4f1b8137, "_gpl");
SYMBOL_CRC(cs35l45_get_clk_freq_id, 0x3431c8ad, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xec86bc6a, "device_property_read_u32_array" },
	{ 0x209c5425, "devm_regulator_get" },
	{ 0x94b3f6ed, "snd_soc_component_disable_pin_unlocked" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0xcc75c352, "snd_soc_info_volsw" },
	{ 0xe40e540, "_dev_err" },
	{ 0x7aa5d7ea, "wm_adsp_event" },
	{ 0x9293d1d8, "snd_soc_dapm_put_volsw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xf8bae2f0, "snd_ctl_notify" },
	{ 0xb327671d, "wm_adsp_fw_enum" },
	{ 0x540aae05, "_dev_warn" },
	{ 0x475928f3, "wm_adsp2_component_probe" },
	{ 0x743b6c49, "wm_adsp2_preloader_put" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2e3f9ebf, "wm_adsp2_preloader_get" },
	{ 0x3d1b6a56, "snd_soc_info_enum_double" },
	{ 0x2bb639e1, "wm_adsp2_component_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x13c04e2c, "devm_regmap_add_irq_chip" },
	{ 0xba161af8, "snd_soc_get_volsw" },
	{ 0x66447c83, "regmap_read" },
	{ 0x95b5a284, "snd_soc_put_volsw" },
	{ 0x429c869e, "wm_adsp_fw_get" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1469499d, "snd_soc_component_enable_pin_unlocked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x574b38d3, "regmap_bulk_read" },
	{ 0xa8346d7b, "regmap_update_bits_base" },
	{ 0x12c5411c, "regulator_disable" },
	{ 0xd498f2e3, "dev_err_probe" },
	{ 0x2095a614, "regmap_multi_reg_write" },
	{ 0x96f86c75, "snd_soc_dapm_get_volsw" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0xebf347c0, "regmap_register_patch" },
	{ 0xd2c4f950, "snd_soc_dapm_get_enum_double" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0xbc5bcdb5, "wm_halo_init" },
	{ 0x28869048, "wm_adsp_early_event" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x4fa1782d, "snd_soc_tdm_params_to_bclk" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x743fef1b, "snd_soc_dapm_put_enum_double" },
	{ 0x18987468, "wm_adsp_fw_put" },
	{ 0xd8f2225b, "regulator_enable" },
	{ 0xa13dddc1, "regcache_cache_only" },
	{ 0x82ede622, "regcache_sync" },
	{ 0xf65b8606, "regmap_write" },
	{ 0xba606a65, "devm_request_threaded_irq" },
	{ 0x55784228, "regmap_irq_get_virq" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0xb0090caf, "gpiod_set_value_cansleep" },
	{ 0x200b8ae6, "snd_soc_card_get_kcontrol_locked" },
	{ 0x380dd457, "wm_adsp2_remove" },
	{ 0xd0f411ce, "snd_soc_dapm_sync_unlocked" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x899ad464, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x6dc63274, "devm_snd_soc_register_component" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-core,snd-soc-wm-adsp,snd,snd-pcm");


MODULE_INFO(srcversion, "5F80EC7BF5B6BCD08BB1EE4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
