#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0x17890a5f, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x77618f20, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0xb95f3217, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x37824e71, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x6ed3e2d5, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0x139a8ea3, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x9e7e6972, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x61ee64a2, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0xb2c7d370, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x8f228cac, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0x899ad464, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xa83d481c, "devm_gpiod_get_optional" },
	{ 0xe0de483b, "wm_adsp_stop" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfcfd8b07, "cs35l56_get_calibration" },
	{ 0xce7cbeb3, "__pm_runtime_set_status" },
	{ 0x6dc63274, "devm_snd_soc_register_component" },
	{ 0x7781880c, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe6192a8f, "sdw_write_no_pm" },
	{ 0x42ff28f8, "devm_free_irq" },
	{ 0x14665f30, "pm_runtime_enable" },
	{ 0x714e1bbf, "fwnode_gpiod_get_index" },
	{ 0x3b50cd20, "regulator_bulk_disable" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0xe6e3bae9, "acpi_dev_remove_driver_gpios" },
	{ 0xcc75c352, "snd_soc_info_volsw" },
	{ 0x7858d942, "cs35l56_init_cs_dsp" },
	{ 0x67bbcebc, "wm_adsp_power_down" },
	{ 0xe9232203, "regcache_drop_region" },
	{ 0xe40e540, "_dev_err" },
	{ 0xa5c94fea, "debugfs_create_bool" },
	{ 0x7aa5d7ea, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0xe1787e49, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x8737a3f6, "cs35l56_runtime_suspend_common" },
	{ 0x4b640185, "sdw_read_no_pm" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x4edb89bf, "cs35l56_mbox_send" },
	{ 0xa25f2c9b, "cs35l56_hw_init" },
	{ 0x540aae05, "_dev_warn" },
	{ 0x475928f3, "wm_adsp2_component_probe" },
	{ 0xfcd7a5cd, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x8227d658, "snd_soc_dapm_kcontrol_dapm" },
	{ 0xd1a4b30a, "cs35l56_system_reset" },
	{ 0x3d1b6a56, "snd_soc_info_enum_double" },
	{ 0x7916f0af, "regulator_bulk_enable" },
	{ 0xecec8a31, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x2bb639e1, "wm_adsp2_component_remove" },
	{ 0x46ff26f4, "cs35l56_wait_for_firmware_boot" },
	{ 0x9e344dac, "devm_kasprintf" },
	{ 0xba161af8, "snd_soc_get_volsw" },
	{ 0xeb21b6c, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0xc9a8e05, "fwnode_property_present" },
	{ 0x909d360e, "cs35l56_is_fw_reload_needed" },
	{ 0x66447c83, "regmap_read" },
	{ 0x95b5a284, "snd_soc_put_volsw" },
	{ 0x7603847c, "__pm_runtime_resume" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xef4b21f, "cs_amp_write_cal_coeffs" },
	{ 0xd589eda3, "device_get_named_child_node" },
	{ 0x9f50a9ab, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x574b38d3, "regmap_bulk_read" },
	{ 0xc5e11dae, "sdw_stream_remove_slave" },
	{ 0xeaaa2e4b, "cs35l56_runtime_resume_common" },
	{ 0xe8a1da4a, "dapm_regulator_event" },
	{ 0x28c1c801, "cs35l56_get_speaker_id" },
	{ 0x8227d936, "wm_adsp_run" },
	{ 0xa8346d7b, "regmap_update_bits_base" },
	{ 0xa7e937b8, "acpi_dev_get_property" },
	{ 0xd498f2e3, "dev_err_probe" },
	{ 0x515044a9, "__pm_runtime_suspend" },
	{ 0xcd5438ad, "cs35l56_fill_supply_names" },
	{ 0x201ae210, "__devm_add_action" },
	{ 0x4d768759, "fwnode_handle_put" },
	{ 0xd2c4f950, "snd_soc_dapm_get_enum_double" },
	{ 0x3a6863c1, "__pm_runtime_use_autosuspend" },
	{ 0xbc5bcdb5, "wm_halo_init" },
	{ 0xd0f3f1b, "__pm_runtime_disable" },
	{ 0x6bed3a1b, "cs35l56_firmware_shutdown" },
	{ 0xc8274e7, "sdw_stream_add_slave" },
	{ 0xd95aba2a, "pm_runtime_force_suspend" },
	{ 0xa5ee989, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x743fef1b, "snd_soc_dapm_put_enum_double" },
	{ 0x7b1ca7a7, "gpiod_get_value_cansleep" },
	{ 0xa13dddc1, "regcache_cache_only" },
	{ 0x2d2d3316, "is_acpi_device_node" },
	{ 0x973927c1, "gpiod_put" },
	{ 0x82ede622, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xf65b8606, "regmap_write" },
	{ 0xfdefd731, "snd_soc_dapm_mux_update_power" },
	{ 0xb2c40595, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x65b45cb, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x581d1f1, "cs35l56_init_asp1_regs_for_driver_control" },
	{ 0xc919213d, "pm_runtime_set_autosuspend_delay" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0xb0090caf, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x61d52384, "acpi_dev_add_driver_gpios" },
	{ 0x200b8ae6, "snd_soc_card_get_kcontrol_locked" },
	{ 0x8c0eec84, "cs35l56_force_sync_asp1_registers_from_cache" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "53FD08F676786E4FD9DAF29");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
