#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x999e8297, "vfree" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x58eca1bf, "mutex_destroy" },
	{ 0x6a201e8a, "usb_put_dev" },
	{ 0x71698ec6, "v4l2_device_unregister" },
	{ 0x5bd2e429, "v4l2_device_disconnect" },
	{ 0xabd3db7d, "video_unregister_device" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0xdf5af00d, "v4l2_ctrl_handler_free" },
	{ 0x2e7d767, "v4l2_fh_open" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xebfea8b3, "usb_get_dev" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xeaa7bf15, "usb_alloc_urb" },
	{ 0xe9c9802d, "request_firmware" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0xe4d58958, "usb_reset_device" },
	{ 0xd6ee688f, "vmalloc" },
	{ 0x440d7bf, "v4l2_device_register" },
	{ 0x6b77ca25, "v4l2_ctrl_handler_init_class" },
	{ 0x7acdd64c, "v4l2_ctrl_new_std" },
	{ 0xf954b565, "v4l2_ctrl_new_custom" },
	{ 0xed3eaff, "vb2_vmalloc_memops" },
	{ 0x9f0b5f81, "vb2_queue_init" },
	{ 0xe50f93de, "__video_register_device" },
	{ 0xc8181550, "vb2_ioctl_reqbufs" },
	{ 0xc66f3771, "vb2_ioctl_querybuf" },
	{ 0x66d77e2, "vb2_ioctl_qbuf" },
	{ 0xabdd0e6c, "vb2_ioctl_dqbuf" },
	{ 0x2106c925, "vb2_ioctl_streamon" },
	{ 0xcb1513b3, "vb2_ioctl_streamoff" },
	{ 0x38707c8e, "v4l2_ctrl_log_status" },
	{ 0xb5554d5, "v4l2_ctrl_subscribe_event" },
	{ 0xa295601b, "v4l2_event_unsubscribe" },
	{ 0xf8e22f9e, "vb2_fop_read" },
	{ 0xa5195255, "vb2_fop_poll" },
	{ 0x8a69403d, "video_ioctl2" },
	{ 0x5ea30a5a, "vb2_fop_mmap" },
	{ 0x8ca4206e, "vb2_fop_release" },
	{ 0x8581b518, "vb2_ops_wait_prepare" },
	{ 0xca868cb2, "vb2_ops_wait_finish" },
	{ 0xa48e05c4, "param_ops_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x92997ed8, "_printk" },
	{ 0x5e868e89, "usb_submit_urb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe40e540, "_dev_err" },
	{ 0x64533b6f, "video_devdata" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33b75706, "usb_deregister" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xd5f17603, "usb_bulk_msg" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x34d49053, "vb2_plane_vaddr" },
	{ 0x47251af0, "vb2_buffer_done" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x744e55c0, "usb_control_msg" },
	{ 0x37a0cba, "kfree" },
	{ 0xf9a482f9, "msleep" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa18a48fd, "__v4l2_ctrl_s_ctrl" },
	{ 0x32b3075a, "usb_kill_urb" },
	{ 0x7e65f454, "usb_free_urb" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "usbcore,videodev,videobuf2-vmalloc,videobuf2-v4l2,videobuf2-common");

MODULE_ALIAS("usb:v1943p2255d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v1943p2257d*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "DDA358041E221BD9C4668E3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
