#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a765dcc, "dma_map_page_attrs" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x8e2ffa1e, "ieee80211_free_txskb" },
	{ 0x33bcf84, "ieee80211_stop_queue" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfaec7161, "dev_driver_string" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x27824012, "dma_unmap_page_attrs" },
	{ 0x1ff05289, "consume_skb" },
	{ 0xf9a482f9, "msleep" },
	{ 0x77a8d769, "_dev_printk" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x354ae3e, "pci_enable_device" },
	{ 0xfa58027c, "pci_read_config_dword" },
	{ 0x6b4838ba, "pci_request_regions" },
	{ 0x2ce0da51, "dma_set_mask" },
	{ 0x57a443ae, "dma_set_coherent_mask" },
	{ 0x1032feb2, "pci_set_master" },
	{ 0x55cc3af0, "ieee80211_alloc_hw_nm" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x2b4db9d, "pci_iomap" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0xff7a0fdf, "eeprom_93cx6_multiread" },
	{ 0x92997ed8, "_printk" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xb5552e45, "ieee80211_register_hw" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf88e7b9e, "__netdev_alloc_skb" },
	{ 0xcc36b6c0, "pci_set_mwi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x9363c349, "pci_read_config_byte" },
	{ 0xe40e540, "_dev_err" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x715a4b98, "ieee80211_tx_status_irqsafe" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x75a959b2, "dma_sync_single_for_cpu" },
	{ 0x91102ce, "skb_put" },
	{ 0x965cc9ee, "dma_sync_single_for_device" },
	{ 0xca29a2c6, "ieee80211_rx_irqsafe" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x983e335, "ieee80211_wake_queue" },
	{ 0x32d21614, "ieee80211_emulate_add_chanctx" },
	{ 0xc45fd749, "ieee80211_emulate_remove_chanctx" },
	{ 0x52a66032, "ieee80211_emulate_change_chanctx" },
	{ 0xeda8119b, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0x6b6bc966, "ieee80211_handle_wake_tx_queue" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb25a90c8, "__pci_register_driver" },
	{ 0x3f4fd8b0, "ieee80211_unregister_hw" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xf67a54be, "pci_iounmap" },
	{ 0xa5389242, "pci_release_regions" },
	{ 0xfba3b786, "pci_disable_device" },
	{ 0xe3bb8c66, "ieee80211_free_hw" },
	{ 0xa78af5f3, "ioread32" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc2ece0c, "pci_unregister_driver" },
	{ 0x7ef39823, "ieee80211_hdrlen" },
	{ 0x69acdf38, "memcpy" },
	{ 0xe4ed5e28, "skb_pull" },
	{ 0xb052c01, "skb_push" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211,eeprom_93cx6");

MODULE_ALIAS("pci:v000010B7d00006000sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001200d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008201sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001317d00008211sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "20EBEEBFAC7BBD3DEE0DC60");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
