#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7e6928d2, "mt76_write_mac_initvals" },
	{ 0x9e9a44ee, "mt76x2_reset_wlan" },
	{ 0x59421ac2, "mt76x2_mcu_set_channel" },
	{ 0xcddd9ead, "mt76x02_mcu_set_radio_state" },
	{ 0xb57de949, "mt76_wake_tx_queue" },
	{ 0x1604b41c, "mt76_get_antenna" },
	{ 0x75885027, "mt76x2_apply_gain_adj" },
	{ 0x52a66032, "ieee80211_emulate_change_chanctx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x34be3c7e, "mt76x02_sta_ps" },
	{ 0xca88a900, "mt76x2_set_sar_specs" },
	{ 0x61971494, "mt76u_resume_rx" },
	{ 0xc1d944f8, "mt76x02_sta_rate_tbl_update" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbec12020, "mt76_alloc_device" },
	{ 0xcbf3a451, "mt76x02_mac_shared_key_setup" },
	{ 0x4f0c4f6f, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbef0e48c, "mt76x2_mac_stop" },
	{ 0x6a201e8a, "usb_put_dev" },
	{ 0xe4d58958, "usb_reset_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x35e986b1, "mt76x02_update_channel" },
	{ 0x41730f45, "mt76x2_configure_tx_delay" },
	{ 0xebfea8b3, "usb_get_dev" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0xeabcc6c2, "mt76x02_configure_filter" },
	{ 0x938513c7, "mt76_free_device" },
	{ 0x2f34258d, "mt76x02_queue_rx_skb" },
	{ 0x80985503, "mt76u_queues_deinit" },
	{ 0x67cc574a, "ieee80211_queue_delayed_work" },
	{ 0xe40e540, "_dev_err" },
	{ 0x93abbad8, "mt76x02u_mcu_fw_reset" },
	{ 0x55eeaac5, "mt76x02_mac_setaddr" },
	{ 0x5a6183df, "mt76_register_device" },
	{ 0x67959ddb, "mt76_set_tim" },
	{ 0x5a6abbf0, "mt76x02_sw_scan_complete" },
	{ 0xdcc0e98d, "mt76x02_phy_set_bw" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa56a6d25, "mt76x02_phy_set_band" },
	{ 0x2ca57b03, "mt76_set_channel" },
	{ 0x584cd8c1, "mt76x02_init_device" },
	{ 0xc4cb1989, "mt76x02_tx" },
	{ 0x6815e2c, "ieee80211_wake_queues" },
	{ 0x977442eb, "mt76x02_eeprom_parse_hw_cap" },
	{ 0x417a2900, "mt76x02_sta_remove" },
	{ 0xf81ffdff, "mt76x02_phy_set_rxpath" },
	{ 0x1da659b3, "mt76x02_edcca_init" },
	{ 0x33b75706, "usb_deregister" },
	{ 0x5bdde92c, "mt76x02_tx_status_data" },
	{ 0x4c6746d0, "mt76x02_sta_add" },
	{ 0xdde3b9c8, "mt76x2_mcu_load_cr" },
	{ 0xeed3db15, "mt76x2_init_txpower" },
	{ 0x4f3d084e, "mt76x02u_mcu_fw_send_data" },
	{ 0x2b6911cd, "mt76u_init" },
	{ 0xa17eca47, "mt76_get_survey" },
	{ 0x6d654531, "mt76x02_init_debugfs" },
	{ 0x540aae05, "_dev_warn" },
	{ 0x32d21614, "ieee80211_emulate_add_chanctx" },
	{ 0x67609486, "mt76x02u_init_mcu" },
	{ 0x972ab9b6, "mt76x02u_tx_prepare_skb" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xeda8119b, "ieee80211_emulate_switch_vif_chanctx" },
	{ 0xc5f2ec50, "mt76x2_mcu_init_gain" },
	{ 0xc35c64e1, "mt76_sta_state" },
	{ 0x2671cc5b, "mt76x2_phy_tssi_compensate" },
	{ 0xe0a4a7da, "ieee80211_stop_queues" },
	{ 0x2faf3c2c, "mt76x02u_mac_start" },
	{ 0x7d6da614, "mt76x02_mac_cc_reset" },
	{ 0x3f3fca58, "mt76x02_bss_info_changed" },
	{ 0xdd565e3c, "mt76x02_init_agc_gain" },
	{ 0x53d98647, "mt76x2_phy_update_channel_gain" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xabde024, "mt76_txq_schedule_all" },
	{ 0x4492fc18, "mt76u_alloc_queues" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x762e0d82, "mt76u_stop_tx" },
	{ 0x80624edf, "mt76x02u_init_beacon_config" },
	{ 0x3f4fd8b0, "ieee80211_unregister_hw" },
	{ 0xdfcbd101, "mt76u_vendor_request" },
	{ 0x4e991ebc, "mt76x02_add_interface" },
	{ 0xd90167ee, "____mt76_poll_msec" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6f100b53, "mt76_get_sar_power" },
	{ 0xa300cc16, "mt76u_stop_rx" },
	{ 0x71ca26e3, "mt76x02_ampdu_action" },
	{ 0xaea6e756, "mt76x02_mcu_calibrate" },
	{ 0x2253cc3e, "mt76x02_conf_tx" },
	{ 0x32109040, "mt76x02_mcu_function_select" },
	{ 0x2af2c7d8, "mt76_sw_scan" },
	{ 0x8c546a0c, "mt76_sta_pre_rcu_remove" },
	{ 0x6b4d1877, "mt76x02_mac_wcid_setup" },
	{ 0xc2513f5b, "__mt76_poll" },
	{ 0x5a92a97, "mt76x2_read_rx_gain" },
	{ 0x16f10b54, "mt76x2_phy_set_txpower_regs" },
	{ 0xae93c0a6, "mt76x2_phy_set_txpower" },
	{ 0x6c052847, "mt76x02_phy_set_txdac" },
	{ 0xc45fd749, "ieee80211_emulate_remove_chanctx" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x5bd84fd5, "mt76x02_rates" },
	{ 0xf9a482f9, "msleep" },
	{ 0xbf540bef, "mt76x02_remove_interface" },
	{ 0xa1370187, "mt76x02u_tx_complete_skb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0xbe1e803c, "mt76x02_set_ethtool_fwver" },
	{ 0x3ec950e3, "mt76x02_set_key" },
	{ 0xa8727abc, "mt76_release_buffered_frames" },
	{ 0xe9c9802d, "request_firmware" },
	{ 0x7a0f72f, "usb_register_driver" },
	{ 0xea534609, "mt76_get_txpower" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "mt76x2-common,mt76x02-lib,mt76,mac80211,mt76-usb,usbcore,mt76x02-usb");

MODULE_ALIAS("usb:v0B05p1833d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p17EBd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0B05p180Bd*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7612d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v057Cp8503d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v7392pB711d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0E8Dp7632d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v2C4Ep0103d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9014d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v0846p9053d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02E6d*dc*dsc*dp*ic*isc*ip*in*");
MODULE_ALIAS("usb:v045Ep02FEd*dc*dsc*dp*ic*isc*ip*in*");

MODULE_INFO(srcversion, "537962D0DB9EE073E4BAD2A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
