#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(mt7925_mac_write_txwi, "_gpl", "");
KSYMTAB_FUNC(mt7925_txwi_free, "_gpl", "");
KSYMTAB_FUNC(mt7925_rx_check, "_gpl", "");
KSYMTAB_FUNC(mt7925_queue_rx_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_prepare_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt7925_usb_sdio_tx_status_data, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_parse_response, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_regval, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_deep_sleep, "_gpl", "");
KSYMTAB_FUNC(mt7925_run_firmware, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_eeprom, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_sched_scan_req, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_cancel_hw_scan, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_set_channel_domain, "_gpl", "");
KSYMTAB_FUNC(mt7925_mcu_fill_message, "_gpl", "");
KSYMTAB_FUNC(__mt7925_start, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_add, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_assoc, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_sta_remove, "_gpl", "");
KSYMTAB_DATA(mt7925_ops, "_gpl", "");
KSYMTAB_FUNC(mt7925_mac_init, "_gpl", "");
KSYMTAB_FUNC(mt7925_register_device, "_gpl", "");

SYMBOL_CRC(mt7925_mac_write_txwi, 0xf40886f2, "_gpl");
SYMBOL_CRC(mt7925_txwi_free, 0x1c8e727b, "_gpl");
SYMBOL_CRC(mt7925_rx_check, 0xd4ecbddd, "_gpl");
SYMBOL_CRC(mt7925_queue_rx_skb, 0xdcc119b7, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_prepare_skb, 0xa1fb39c6, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_complete_skb, 0x7f01dd47, "_gpl");
SYMBOL_CRC(mt7925_usb_sdio_tx_status_data, 0xaae6a055, "_gpl");
SYMBOL_CRC(mt7925_mcu_parse_response, 0x0627cecc, "_gpl");
SYMBOL_CRC(mt7925_mcu_regval, 0x9172d0d7, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_deep_sleep, 0xc3b69e81, "_gpl");
SYMBOL_CRC(mt7925_run_firmware, 0xc6d3874a, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_eeprom, 0x083cccdb, "_gpl");
SYMBOL_CRC(mt7925_mcu_hw_scan, 0xdd8753a8, "_gpl");
SYMBOL_CRC(mt7925_mcu_sched_scan_req, 0x60acadaf, "_gpl");
SYMBOL_CRC(mt7925_mcu_cancel_hw_scan, 0x9e0ab183, "_gpl");
SYMBOL_CRC(mt7925_mcu_set_channel_domain, 0xf36e6aba, "_gpl");
SYMBOL_CRC(mt7925_mcu_fill_message, 0xa019fc2e, "_gpl");
SYMBOL_CRC(__mt7925_start, 0x3bf43fbb, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_add, 0x4018ad41, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_assoc, 0xac99b961, "_gpl");
SYMBOL_CRC(mt7925_mac_sta_remove, 0xba3a6c2e, "_gpl");
SYMBOL_CRC(mt7925_ops, 0xaba1abc8, "_gpl");
SYMBOL_CRC(mt7925_mac_init, 0xde27dc9b, "_gpl");
SYMBOL_CRC(mt7925_register_device, 0xb4b40900, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x36efa3bb, "ieee80211_get_hdrlen_from_skb" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xe731fec5, "mt792x_mac_work" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0x619eac41, "mt76_mcu_rx_event" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xbf38035d, "mt76_wcid_init" },
	{ 0x82ec3594, "wake_up_process" },
	{ 0x3a02f889, "mt76_connac_free_pending_tx_skbs" },
	{ 0x77cea22e, "mt792x_sta_statistics" },
	{ 0x5978f9d1, "skb_queue_purge_reason" },
	{ 0x199ea36f, "mt76_connac_power_save_sched" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xd7459dc1, "mt76_connac_txp_skb_unmap" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x33b5b448, "debugfs_create_devm_seqfile" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x7eccedcf, "mt792x_get_et_sset_count" },
	{ 0x1da677dc, "mt792x_set_tsf" },
	{ 0xe40b66ef, "mt76_wcid_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x46e8bd1d, "mt792x_init_acpi_sar_power" },
	{ 0xd4605ec2, "mt792x_set_wakeup" },
	{ 0x885757b1, "mt76_wcid_key_setup" },
	{ 0x4c660ed2, "mt76_connac_mcu_set_gtk_rekey" },
	{ 0x40a9b349, "vzalloc" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0x3b91cca6, "skb_queue_tail" },
	{ 0xf0bd74bb, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xee234d2f, "mt76_rx" },
	{ 0xa32e2f88, "mt792x_load_firmware" },
	{ 0xf5aa9c3f, "mt792x_get_et_stats" },
	{ 0x71072686, "mt76_connac_mcu_uni_add_bss" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x4d94441a, "wiphy_to_ieee80211_hw" },
	{ 0xef83c797, "debugfs_attr_read" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb6ed5f93, "mt76_tx_status_skb_done" },
	{ 0x67cc574a, "ieee80211_queue_delayed_work" },
	{ 0x8a25fb64, "devm_kmemdup" },
	{ 0xa6538819, "devm_kfree" },
	{ 0xe40e540, "_dev_err" },
	{ 0xe4ed5e28, "skb_pull" },
	{ 0x5a6183df, "mt76_register_device" },
	{ 0xbfb5350a, "mt792x_get_stats" },
	{ 0x54e6516b, "mt76_mcu_skb_send_and_get_msg" },
	{ 0x8379bfdf, "simple_attr_release" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xc7045f0b, "ieee80211_remain_on_channel_expired" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xb052c01, "skb_push" },
	{ 0x6815e2c, "ieee80211_wake_queues" },
	{ 0xca86fa8b, "mt76_mcu_send_and_get_msg" },
	{ 0xf608123d, "ieee80211_beacon_get_template" },
	{ 0xff323640, "mt792x_pm_stats" },
	{ 0xb367c776, "mt76_eeprom_override" },
	{ 0xa73ae434, "dev_coredumpv" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0xe0419752, "__mt76_mcu_msg_alloc" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xde40d065, "mt76_connac_get_he_phy_cap" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa17eca47, "mt76_get_survey" },
	{ 0x6bedf402, "ieee80211_freq_khz_to_channel" },
	{ 0x94a92b03, "devm_hwmon_device_register_with_groups" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x92245009, "__alloc_pages" },
	{ 0x7bd6efba, "mt76_token_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x934a3553, "mt792x_get_tsf" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0x61820724, "__pskb_pull_tail" },
	{ 0x5a7b5c38, "mt792x_pm_idle_timeout_set" },
	{ 0x1a8a858, "mt792x_tx" },
	{ 0x3674acb9, "mt792x_get_et_strings" },
	{ 0xc35c64e1, "mt76_sta_state" },
	{ 0x8c5da98e, "ieee80211_ready_on_channel" },
	{ 0xe0a4a7da, "ieee80211_stop_queues" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x9e344dac, "devm_kasprintf" },
	{ 0xa91ad066, "cfg80211_reg_can_beacon" },
	{ 0x23c8676c, "mt792x_remove_interface" },
	{ 0x26ccd346, "seq_read" },
	{ 0xb1c85637, "mt76_connac3_mac_decode_he_radiotap" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x241a6571, "mt76_connac2_mac_tx_rate_val" },
	{ 0xf2f437, "mt76_connac_mcu_add_nested_tlv" },
	{ 0x17f568e9, "mt76_rates" },
	{ 0x982bdac7, "mt792x_queues_read" },
	{ 0x92a8836d, "debugfs_create_file" },
	{ 0xcfb24422, "mt792x_queues_acq" },
	{ 0x8986838f, "mt76_get_rate_power_limits" },
	{ 0x8878bd90, "ieee80211_sched_scan_results" },
	{ 0xcaae7038, "ieee80211_scan_completed" },
	{ 0x8e110448, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xee56a8f9, "mt76_insert_ccmp_hdr" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0xcd6a1b2a, "mt792x_tx_stats_show" },
	{ 0x9c549db3, "mt76_connac_mcu_set_suspend_mode" },
	{ 0xa4fbd8fb, "mt76_rx_aggr_start" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x11fcf8be, "__folio_put" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0xc3a0fb62, "mt792x_pm_idle_timeout_get" },
	{ 0x9c06d4d5, "mt792x_roc_timer" },
	{ 0x62933bb1, "mt76_connac_mcu_coredump_event" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x6f100b53, "mt76_get_sar_power" },
	{ 0xbd7186a0, "mt76_connac_mcu_sta_he_tlv_v2" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xbda42ff9, "mt792x_mac_init_band" },
	{ 0x1bac7450, "mt76_skb_adjust_pad" },
	{ 0xa154ccfe, "mt76_put_txwi" },
	{ 0x1046a7d4, "mt792x_init_wiphy" },
	{ 0x1be8b942, "seq_puts" },
	{ 0x755279d1, "__mt76_connac_mcu_alloc_sta_req" },
	{ 0xc63b2c6f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x395f8072, "mt76_queues_read" },
	{ 0x8c546a0c, "mt76_sta_pre_rcu_remove" },
	{ 0x27708adf, "mt76_register_debugfs_fops" },
	{ 0x3b1d2ad3, "mt792x_reset" },
	{ 0x327a9822, "mt76_rx_signal" },
	{ 0x249c7c64, "__mt76_set_tx_blocked" },
	{ 0x9ed92380, "ieee80211_queue_work" },
	{ 0xc2d27aba, "mt792x_mac_reset_counters" },
	{ 0x33e01915, "napi_consume_skb" },
	{ 0x754d539c, "strlen" },
	{ 0x1879fcbd, "bridge_tunnel_header" },
	{ 0xc2513f5b, "__mt76_poll" },
	{ 0xcb133884, "mt76_rx_aggr_stop" },
	{ 0x204949a7, "single_open" },
	{ 0x6caf4253, "mt792x_unassign_vif_chanctx" },
	{ 0x8592b368, "mt76_connac_get_phy_mode" },
	{ 0xdc18d411, "mt76_connac_mcu_sta_basic_tlv" },
	{ 0x1722570e, "ieee80211_disconnect" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe4ccb149, "mt792x_pm_power_save_work" },
	{ 0xd9412306, "mt792x_assign_vif_chanctx" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6eb46c36, "mt76_connac_mcu_update_gtk_rekey" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x3030b29f, "ieee80211_sta_register_airtime" },
	{ 0xf7284b83, "mt792x_init_wcid" },
	{ 0x369ed0a6, "mt792x_init_acpi_sar" },
	{ 0x9b5223bd, "mt76_init_sar_power" },
	{ 0x8c2e9060, "ieee80211_connection_loss" },
	{ 0xdbf7b00b, "mt76_tx_status_unlock" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x7ba2c88c, "simple_attr_open" },
	{ 0x66049bab, "ieee80211_iterate_interfaces" },
	{ 0x82bfc523, "mt792x_stop" },
	{ 0xd32d64c8, "mt76_connac_get_ch_power" },
	{ 0x7b0ff8e6, "debugfs_attr_write" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x91102ce, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xe4440817, "mt76_connac_get_phy_mode_v2" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x1ff05289, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x8c277cd, "mt76_tx_status_skb_get" },
	{ 0x3bb339b6, "mt792x_tx_worker" },
	{ 0x4cc463b0, "mt792x_flush" },
	{ 0xa7c5e368, "mt76_tx_status_lock" },
	{ 0x2860db32, "mt792x_rx_get_wcid" },
	{ 0x7489cc27, "skb_dequeue" },
	{ 0xa25337f, "mt76_connac_gen_ppe_thresh" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x9ea6fb1b, "mt76_connac_mcu_uni_add_dev" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xa8727abc, "mt76_release_buffered_frames" },
	{ 0xe9c9802d, "request_firmware" },
	{ 0xea534609, "mt76_get_txpower" },
	{ 0x4ef74aa6, "mt76_connac_mcu_sta_uapsd" },
	{ 0x79b52eb3, "mt76_tx_status_skb_add" },
	{ 0x999fc0d8, "mt76_connac_pm_wake" },
	{ 0xdf7d4f20, "mt76_get_rate" },
	{ 0xdf73a34, "mt792x_pm_wake_work" },
	{ 0xb57de949, "mt76_wake_tx_queue" },
	{ 0x5d03c98d, "ieee80211_start_tx_ba_session" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1604b41c, "mt76_get_antenna" },
	{ 0x44993c, "mt792x_set_coverage_class" },
	{ 0x60076a96, "mt792x_acpi_get_flags" },
	{ 0x35b11056, "_raw_read_unlock_bh" },
	{ 0x5b42c3cf, "__mt76_tx_complete_skb" },
	{ 0xbf919a59, "_raw_read_lock_bh" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0x67e99461, "__put_devmap_managed_page_refs" },
	{ 0xda62b5d7, "mt76_set_stream_caps" },
	{ 0xcd41466d, "mt792x_mac_assoc_rssi" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt792x-lib,mt76,mt76-connac-lib,mac80211");


MODULE_INFO(srcversion, "32399F753FFA7C98FC44D56");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
