#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nvdimm_namespace_attach_btt, "", "");
KSYMTAB_FUNC(nvdimm_namespace_detach_btt, "", "");

SYMBOL_CRC(nvdimm_namespace_attach_btt, 0xc0341269, "");
SYMBOL_CRC(nvdimm_namespace_detach_btt, 0x1da3798b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x68c7ae62, "nd_btt_arena_is_valid" },
	{ 0xfe45d059, "__dynamic_dev_dbg" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xf841db0f, "bio_end_io_acct_remapped" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfaec7161, "dev_driver_string" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x7ce1bda7, "put_disk" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb4decdd, "debugfs_create_x64" },
	{ 0xcde31a7c, "blk_queue_flag_set" },
	{ 0x66302cd6, "nd_dev_to_uuid" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x2a40c8e3, "_dev_info" },
	{ 0x56cc00f3, "bio_start_io_acct" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb25ea1aa, "bio_endio" },
	{ 0xad8c556c, "nd_region_release_lane" },
	{ 0xe40e540, "_dev_err" },
	{ 0xa7e3885f, "set_capacity" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xa045449b, "debugfs_remove" },
	{ 0x7c34477b, "mutex_is_locked" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x356559fc, "del_gendisk" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x612bfd89, "errno_to_blk_status" },
	{ 0xe99f017c, "to_nd_btt" },
	{ 0x7c5c5d04, "nd_region_acquire_lane" },
	{ 0xfb578fc5, "memset" },
	{ 0x540aae05, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1e8997ce, "debugfs_create_u32" },
	{ 0x43fa64de, "nvdimm_namespace_disk_name" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x55a85178, "debugfs_create_x32" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x70e4ae82, "nvdimm_namespace_capacity" },
	{ 0x2f2c4c9b, "nd_integrity_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6c574d51, "nvdimm_check_and_set_ro" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xac097533, "badblocks_check" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x71570f57, "nd_btt_version" },
	{ 0xc1cbb9b7, "debugfs_create_dir" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x83332b38, "bio_integrity_prep" },
	{ 0xcd287266, "__blk_alloc_disk" },
	{ 0x61add97d, "devm_kmalloc" },
	{ 0x51defaf7, "device_add_disk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x3cea560b, "devm_namespace_enable" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x1b967496, "debugfs_create_u16" },
	{ 0x4973602, "to_nd_region" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x499f0ecf, "nd_sb_checksum" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "libnvdimm");


MODULE_INFO(srcversion, "F19C15307D8DCACFEA5543A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
