#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd7d280ad, "irq_poll_complete" },
	{ 0xc2ece0c, "pci_unregister_driver" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x678b96ec, "dma_pool_alloc" },
	{ 0xfaec7161, "dev_driver_string" },
	{ 0xfa58027c, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x9a765dcc, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x1dcccbbe, "iscsi_eh_device_reset" },
	{ 0xa24c0f7f, "iscsi_register_transport" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe609eb31, "_raw_spin_unlock_bh" },
	{ 0x389d2a19, "scsi_host_get" },
	{ 0xa916b694, "strnlen" },
	{ 0xcf8e8f1c, "iscsi_session_failure" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x9709a86c, "iscsi_set_param" },
	{ 0x550f52fb, "iscsi_boot_create_host_kset" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xe40e540, "_dev_err" },
	{ 0x7834701a, "scsi_host_put" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2f7754a8, "dma_pool_free" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x39967300, "iscsi_destroy_endpoint" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0xbe567f56, "dma_alloc_attrs" },
	{ 0x8f772d75, "iscsi_conn_get_param" },
	{ 0x969540c4, "iscsi_complete_scsi_task" },
	{ 0xae7ba696, "iscsi_host_free" },
	{ 0x38af53d9, "iscsi_put_task" },
	{ 0x890cd83c, "iscsi_conn_teardown" },
	{ 0xcd279169, "nla_find" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf2239f19, "iscsi_session_get_param" },
	{ 0xb39f5764, "iscsi_conn_send_pdu" },
	{ 0xde80cd09, "ioremap" },
	{ 0xa01d6223, "iscsi_boot_create_ethernet" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x2c56e148, "iscsi_conn_start" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x32d3230e, "mutex_lock_interruptible" },
	{ 0x3d112ee4, "iscsi_conn_unbind" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x24e0d9d9, "_raw_spin_unlock_irqrestore" },
	{ 0x6a639242, "pci_restore_state" },
	{ 0xfb578fc5, "memset" },
	{ 0x540aae05, "_dev_warn" },
	{ 0xfa995747, "pci_alloc_irq_vectors_affinity" },
	{ 0x1fd1ef20, "scsi_is_host_device" },
	{ 0x1032feb2, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xe5207dac, "iscsi_lookup_endpoint" },
	{ 0x7f7f7bb4, "irq_poll_disable" },
	{ 0x57a443ae, "dma_set_coherent_mask" },
	{ 0x77861b37, "iscsi_host_alloc" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xb5aa7165, "dma_pool_destroy" },
	{ 0x71078d9, "iscsi_host_add" },
	{ 0x574963de, "dma_free_attrs" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x25781ea6, "iscsi_session_teardown" },
	{ 0xa5389242, "pci_release_regions" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x75341a84, "iscsi_unregister_transport" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2052975a, "pci_dev_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x41270bf4, "iscsi_conn_stop" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x554ae3a4, "irq_poll_sched" },
	{ 0xfac68fb2, "_raw_spin_lock_bh" },
	{ 0xb633f115, "irq_poll_enable" },
	{ 0x1d553248, "pci_disable_msix" },
	{ 0xfba3b786, "pci_disable_device" },
	{ 0xd263183f, "iscsi_get_task" },
	{ 0x67ce0e2d, "iscsi_queuecommand" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0x2ce0da51, "dma_set_mask" },
	{ 0xab3697e4, "irq_poll_init" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x7100e447, "__iscsi_put_task" },
	{ 0x151f4898, "schedule_timeout_uninterruptible" },
	{ 0x754d539c, "strlen" },
	{ 0xa48e05c4, "param_ops_int" },
	{ 0x77a8d769, "_dev_printk" },
	{ 0xbb8d910e, "iscsi_boot_create_target" },
	{ 0x2d56fd19, "iscsi_host_remove" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x75ce5f5d, "pci_free_irq_vectors" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x1190eb7b, "iscsi_eh_session_reset" },
	{ 0xac2534f2, "scsi_change_queue_depth" },
	{ 0xf9a482f9, "msleep" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x499c7e9c, "scsi_dma_map" },
	{ 0xd9a0727a, "iscsi_boot_destroy_kset" },
	{ 0xf9c0a95f, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa78af5f3, "ioread32" },
	{ 0xeedc4ca1, "iscsi_get_port_state_name" },
	{ 0x45c40a9c, "iscsi_host_for_each_session" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0x9fe7a9d3, "dma_pool_create" },
	{ 0x857f6104, "iscsi_conn_setup" },
	{ 0x354ae3e, "pci_enable_device" },
	{ 0xdcc70ef6, "iscsi_session_recovery_timedout" },
	{ 0x4a453f53, "iowrite32" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x91d1dc0, "bsg_job_done" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xee33b557, "iscsi_get_port_speed_name" },
	{ 0xd7701fdf, "pci_dev_put" },
	{ 0x2e366009, "iscsi_put_endpoint" },
	{ 0x8f60c46f, "iscsi_target_alloc" },
	{ 0x2a13050d, "__iscsi_complete_pdu" },
	{ 0x78fe20fd, "iscsi_conn_bind" },
	{ 0x4b06f925, "iscsi_host_get_param" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x27824012, "dma_unmap_page_attrs" },
	{ 0xa24ae145, "iscsi_session_setup" },
	{ 0x96848186, "scnprintf" },
	{ 0xb25a90c8, "__pci_register_driver" },
	{ 0x173c8818, "iscsi_boot_create_initiator" },
	{ 0xedc03953, "iounmap" },
	{ 0x6b4838ba, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x95ec4719, "scsi_dma_unmap" },
	{ 0xe2092ef0, "iscsi_create_iface" },
	{ 0x37a0cba, "kfree" },
	{ 0xb548c880, "iscsi_eh_abort" },
	{ 0x65388ce2, "iscsi_create_endpoint" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x1d46433b, "pci_set_power_state" },
	{ 0xcd7077d6, "iscsi_eh_cmd_timed_out" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x6b2a255e, "pci_irq_vector" },
	{ 0xa70657da, "iscsi_destroy_iface" },
	{ 0x97b6ecfa, "iscsi_conn_failure" },
	{ 0x68a2c71a, "_raw_spin_lock_irqsave" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_transport_iscsi,scsi_mod,iscsi_boot_sysfs");

MODULE_ALIAS("pci:v000019A2d00000212sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000222sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000702sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000703sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000019A2d00000712sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v000010DFd00000722sv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "0261911FDE564698ACFB297");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
