#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x3c0a72ed, "perf_trace_run_bpf_submit" },
	{ 0xeac20e87, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xeed7fd81, "up_write" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2def4a82, "fscache_withdraw_cache" },
	{ 0x8d239273, "noop_llseek" },
	{ 0xb30152f5, "bpf_trace_run5" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x6a3f4afc, "lock_rename" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0xf5a9f9f6, "trace_event_reg" },
	{ 0x96450760, "vfs_getxattr" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1a0d09e7, "fscache_n_write" },
	{ 0x5067a561, "fscache_caching_failed" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0xa6f61280, "security_path_mkdir" },
	{ 0xcce11a60, "fscache_n_no_write_space" },
	{ 0x8332e51b, "kern_path" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x933cfa0a, "vfs_iocb_iter_read" },
	{ 0x3e085fd2, "misc_register" },
	{ 0x21b06827, "fscache_resume_after_invalidation" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xbd4c1202, "unlock_rename" },
	{ 0x9ffefcb2, "fscache_n_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xeddd417, "down_read" },
	{ 0x831b2042, "fscache_acquire_cache" },
	{ 0x8df3612c, "security_path_unlink" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xd78b49c3, "security_inode_create" },
	{ 0xcb0ebf2e, "bpf_trace_run3" },
	{ 0x19a340f9, "override_creds" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x62215e, "fscache_add_cache" },
	{ 0xd6149e1, "__tracepoint_fscache_access_volume" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc4fd0096, "path_get" },
	{ 0x7795e84d, "trace_event_buffer_reserve" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xf14293cc, "lookup_positive_unlocked" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0x9e0202d5, "fscache_withdraw_cookie" },
	{ 0xf5d073e8, "xa_find" },
	{ 0xc2643956, "fscache_clearance_waiters" },
	{ 0x3bf6ba16, "dput" },
	{ 0x7c7dbcd9, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xb707d9ea, "touch_atime" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xb982ae46, "__SCK__tp_func_fscache_access_volume" },
	{ 0x6e66692d, "vfs_llseek" },
	{ 0x851bed4c, "kernel_file_open" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0xb14b22e8, "rcuwait_wake_up" },
	{ 0xbf6066c2, "vfs_link" },
	{ 0x1a51e7f6, "prepare_kernel_cred" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2acb5e19, "fscache_n_dio_misfit" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x349cba85, "strchr" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0xbb61c4bf, "security_inode_mkdir" },
	{ 0x235b4319, "security_path_rename" },
	{ 0xcb5006bf, "set_security_override_from_ctx" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4404d2aa, "fscache_n_no_create_space" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0x437335fb, "set_create_files_as" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x90d447f3, "fscache_n_culled" },
	{ 0xe1cac561, "fscache_wait_for_operation" },
	{ 0x24e15218, "vfs_removexattr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xaf2949bf, "revert_creds" },
	{ 0x2052e60b, "misc_deregister" },
	{ 0x4007a2c3, "vfs_setxattr" },
	{ 0x8b7d70b2, "notify_change" },
	{ 0x782e5d62, "bpf_trace_run4" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0x7b1b25da, "__SCT__tp_func_fscache_access_volume" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x121adbd, "vfs_rename" },
	{ 0xf5d3e4a5, "lookup_one_len" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x910818e1, "fscache_get_cookie" },
	{ 0x65b45cb, "complete" },
	{ 0x210dd3f5, "trace_raw_output_prep" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x47829a74, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0x7a301ae4, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x61f50ad2, "__xa_erase" },
	{ 0x83a1cde8, "abort_creds" },
	{ 0x995ff839, "fscache_io_error" },
	{ 0x170cf1d4, "sync_filesystem" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0xb35c5ee5, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x37a0cba, "kfree" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x3a2c1e04, "fscache_cookie_lookup_negative" },
	{ 0x784f23a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0xd3a27874, "__wake_up" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0xe4589b61, "bpf_trace_run8" },
	{ 0xaff3579a, "vfs_unlink" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0x362609a0, "vfs_truncate" },
	{ 0xbf7fb8a0, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x98d65a2e, "__put_cred" },
	{ 0xf76c2010, "vfs_mkdir" },
	{ 0xb9a678d0, "kernel_tmpfile_open" },
	{ 0x7e459010, "trace_event_buffer_commit" },
	{ 0xd913cb0, "vfs_statfs" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0x92997ed8, "_printk" },
	{ 0x31566b5c, "vfs_fallocate" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x22dcd127, "vfs_iocb_iter_write" },
	{ 0xc4ab3326, "fscache_end_cookie_access" },
	{ 0x2575a26f, "fscache_withdraw_volume" },
	{ 0xa916b694, "strnlen" },
	{ 0x749172f8, "fscache_relinquish_cache" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0xc6cbbc89, "capable" },
	{ 0x754947ae, "mntput" },
	{ 0x626f22d1, "fscache_put_cookie" },
	{ 0x4ba9131, "prepare_creds" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "netfs");


MODULE_INFO(srcversion, "19ED98C09036A80FAB48FA4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
