#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nfs3_set_ds_client, "_gpl", "");

SYMBOL_CRC(nfs3_set_ds_client, 0x9bb82390, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1d06e2c8, "nfs_sops" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0x6ac4d386, "rpc_restart_call" },
	{ 0xeb644735, "alloc_pages" },
	{ 0xaefa1596, "nfs_link" },
	{ 0x3bf6ba16, "dput" },
	{ 0x7d0ac058, "put_nfs_open_context" },
	{ 0xa4187957, "nfs_permission" },
	{ 0x6cc3a37e, "nfs_add_or_obtain" },
	{ 0x37d576a1, "from_kuid_munged" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x2ce256b0, "nfs_free_client" },
	{ 0x4d902b04, "nfs_close_context" },
	{ 0xdd90fbca, "nfs_refresh_inode" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x8e162a8, "nfs_access_set_mask" },
	{ 0x64822d96, "xdr_stream_pos" },
	{ 0xaf5bf6ef, "nfs_debug" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xaf2df789, "nfs_symlink" },
	{ 0xd51bbcc5, "nfs_unlink" },
	{ 0x648e7bae, "forget_cached_acl" },
	{ 0x65c5538d, "nfs_clone_server" },
	{ 0xe914e41e, "strcpy" },
	{ 0xd3107a1d, "nlmclnt_proc" },
	{ 0x1e8ab8f0, "nfs_writeback_update_inode" },
	{ 0x2dda0589, "nfs_alloc_client" },
	{ 0x548e2d17, "nfs_dentry_operations" },
	{ 0x8f1721f3, "xdr_write_pages" },
	{ 0x2909a75e, "nfs_access_zap_cache" },
	{ 0xfcfbbb1, "xdr_inline_decode" },
	{ 0x1c18038f, "forget_all_cached_acls" },
	{ 0x83e4c3f, "nfs_submount" },
	{ 0x5da34981, "__tracepoint_nfs_xdr_status" },
	{ 0xd4abdc93, "nfs_mknod" },
	{ 0x1ace8901, "nfs_create_server" },
	{ 0x4c46d899, "nfs_init_client" },
	{ 0x37a0cba, "kfree" },
	{ 0x2342c470, "nfs_post_op_update_inode" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x549c0738, "rpc_ntop" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0xfeb6a8e, "xdr_read_pages" },
	{ 0x986a7e59, "nfsacl_decode" },
	{ 0x5818fe3c, "posix_acl_from_mode" },
	{ 0x98732b0, "nfs_create" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xcca617a8, "nfs_mkdir" },
	{ 0x9292c743, "nfs_revalidate_inode" },
	{ 0x109ab87c, "nfs_get_lock_context" },
	{ 0x92997ed8, "_printk" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x9506c0a1, "nfs_try_get_tree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xcea3276, "make_kuid" },
	{ 0xfeb42418, "__SCT__tp_func_nfs_xdr_status" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x853d7ae2, "nfs_get_client" },
	{ 0x88745aff, "__free_pages" },
	{ 0x29963d91, "nfs_file_operations" },
	{ 0x94c2efd9, "get_inode_acl" },
	{ 0x37239e6d, "__SCT__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xd4985d84, "nfs_put_lock_context" },
	{ 0xd1d54e04, "nfs_rename" },
	{ 0xce2e52, "nfs_lookup" },
	{ 0x93e449bc, "nfs_sysfs_link_rpc_client" },
	{ 0xc5f2b83a, "nfsacl_encode" },
	{ 0x9e4189a6, "posix_acl_create" },
	{ 0x4fd33e51, "get_nfs_open_context" },
	{ 0xc7a1fab, "__SCK__tp_func_nfs_xdr_status" },
	{ 0x4b02fa9e, "nfs_invalidate_atime" },
	{ 0xb4e615, "posix_acl_equiv_mode" },
	{ 0xcfdaa4d9, "nfs_getattr" },
	{ 0x2b75c63d, "__SCK__tp_func_nfs_xdr_bad_filehandle" },
	{ 0xa65b82ab, "nfs_zap_acl_cache" },
	{ 0x3384cfb2, "__tracepoint_nfs_xdr_bad_filehandle" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xabae1ce9, "rpc_bind_new_program" },
	{ 0x458c1b4b, "register_nfs_version" },
	{ 0x803f26b4, "rpc_call_start" },
	{ 0x39cb291e, "rpc_call_sync" },
	{ 0xe96dda3, "rpc_prepare_reply_pages" },
	{ 0xabad38c3, "nfs_fs_type" },
	{ 0x6107a010, "nfs_setattr" },
	{ 0x522a4304, "xdr_terminate_string" },
	{ 0xa05ca625, "nfs_fattr_init" },
	{ 0x2bc437eb, "rpc_delay" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x98b0ece8, "nfs_init_timeout_values" },
	{ 0xf7658c7e, "make_kgid" },
	{ 0xcb9d35f6, "from_kgid_munged" },
	{ 0x832e8f0b, "nfs_alloc_fattr" },
	{ 0x17e394a8, "xdr_reserve_space" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x19d20dd0, "nfs_rmdir" },
	{ 0xbf6bbcd9, "unregister_nfs_version" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xf2c62450, "nfs_async_iocounter_wait" },
	{ 0x42473bca, "nfs_setattr_update_inode" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "nfs,sunrpc,lockd,nfs_acl");


MODULE_INFO(srcversion, "63ADD68DDC9CA343710C636");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
