#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfec271a5, "lock_two_nondirectories" },
	{ 0x8605e2c6, "d_drop" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x325304c, "deactivate_super" },
	{ 0xf6c62bf5, "mnt_want_write_file" },
	{ 0x74d9248b, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x605790dc, "fiemap_fill_next_extent" },
	{ 0xf7dc92ae, "mempool_create" },
	{ 0xac5fcec0, "in4_pton" },
	{ 0x96b29254, "strncasecmp" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xa88a879e, "vfs_parse_fs_string" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7b82902b, "load_nls" },
	{ 0xcea3276, "make_kuid" },
	{ 0x872bbf91, "truncate_inode_pages_final" },
	{ 0xe0540fc, "generic_setlease" },
	{ 0x5e29fd0f, "__filemap_set_wb_err" },
	{ 0x7b8534d3, "simple_dir_operations" },
	{ 0xbbf5a75, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x11f685e3, "__alloc_skb" },
	{ 0x8fbd6791, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x4ccdacd6, "mempool_alloc" },
	{ 0x9af842d, "idr_get_next" },
	{ 0x5f0ee048, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xed69d897, "kmem_cache_alloc" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0x16e297c3, "bit_wait" },
	{ 0xbf3d5453, "init_task" },
	{ 0xc6cbbc89, "capable" },
	{ 0xbadcdea1, "mnt_drop_write_file" },
	{ 0x9eab6125, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xcc4fcfb5, "fs_context_for_submount" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xad79d6b4, "inode_init_once" },
	{ 0x891a4053, "netfs_extract_user_iter" },
	{ 0x82a087f8, "folio_wait_private_2" },
	{ 0xe4b17db6, "file_write_and_wait_range" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x769f6e64, "errseq_check" },
	{ 0xee4e9f92, "copy_splice_read" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6bcaad59, "idr_remove" },
	{ 0x44fb4851, "__fscache_relinquish_volume" },
	{ 0xc78d921b, "dns_query" },
	{ 0x5c581540, "seq_escape_mem" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0xa0da1cc8, "key_put" },
	{ 0xe28634ef, "crypto_aead_setkey" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0xf6200632, "__folio_lock_killable" },
	{ 0x3c0a72ed, "perf_trace_run_bpf_submit" },
	{ 0xeac20e87, "fput" },
	{ 0xb7d14ec7, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xc24639cf, "init_net" },
	{ 0xeed7fd81, "up_write" },
	{ 0xc19ba61a, "generic_file_read_iter" },
	{ 0x459223e5, "unlock_page" },
	{ 0x3246dc65, "crypto_shash_setkey" },
	{ 0x7d94ea00, "key_type_logon" },
	{ 0xcfa703e3, "mempool_resize" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x6ccabd23, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x51da2c1f, "kmem_cache_create_usercopy" },
	{ 0xfdad3064, "truncate_pagecache" },
	{ 0xbed50fd3, "user_describe" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x29f06452, "init_uts_ns" },
	{ 0x1ef8b882, "put_fs_context" },
	{ 0x195b4d4f, "dentry_path_raw" },
	{ 0x94536479, "crypto_aead_encrypt" },
	{ 0x22b8c78b, "__module_put_and_kthread_exit" },
	{ 0xf53aead0, "unlock_two_nondirectories" },
	{ 0xa681fe88, "generate_random_uuid" },
	{ 0xc61a4fc9, "xa_load" },
	{ 0xb30152f5, "bpf_trace_run5" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x1a3bece4, "setattr_copy" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0x6aa57324, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x235c8f19, "set_nlink" },
	{ 0x98f103e8, "mutex_lock" },
	{ 0x9ecef473, "kmem_cache_free" },
	{ 0xc4c73891, "cifs_arc4_setkey" },
	{ 0x9b496b21, "posix_acl_alloc" },
	{ 0x5a921311, "strncmp" },
	{ 0xa30b381d, "d_move" },
	{ 0xdf12c9b5, "seq_putc" },
	{ 0x365acda7, "set_normalized_timespec64" },
	{ 0xd5a43273, "nla_put" },
	{ 0x84dc50a6, "from_kgid" },
	{ 0xf5a9f9f6, "trace_event_reg" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x43f75507, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x64db9a5, "mark_mounts_for_expiry" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x1721538a, "folio_wait_writeback" },
	{ 0x19044b30, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xf42bc1ad, "sget" },
	{ 0xe0a65f60, "sock_sendmsg" },
	{ 0x7412ed5b, "kvfree_sensitive" },
	{ 0xc4f1f1e9, "crypto_shash_update" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0xcd160a9d, "file_modified" },
	{ 0x9ec82aad, "copy_page_to_iter" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x50b4cb3c, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc0ae7d75, "freezing_slow_path" },
	{ 0xd472c72d, "wait_for_completion_killable" },
	{ 0xa9bf224e, "finish_no_open" },
	{ 0x11089ac7, "_ctype" },
	{ 0x5a0838ca, "__folio_start_writeback" },
	{ 0x8f09fc9e, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x5eb8a9ee, "netfs_dirty_folio" },
	{ 0x6c808e3a, "folio_end_writeback" },
	{ 0xa20bda0a, "proc_mkdir" },
	{ 0x14c01631, "from_kuid" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0xab7b2318, "fc_mount" },
	{ 0x294cdfb8, "kernel_connect" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0xb574799e, "iov_iter_bvec" },
	{ 0xfd2e5a66, "unpin_user_page" },
	{ 0xd3fd72f0, "key_revoke" },
	{ 0xfbef3c1c, "wait_for_completion" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa2a635bc, "__init_waitqueue_head" },
	{ 0xf7658c7e, "make_kgid" },
	{ 0xece784c2, "rb_first" },
	{ 0xcb9d35f6, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x9fcde851, "end_page_writeback" },
	{ 0x7dfa2072, "down_write_trylock" },
	{ 0xb3687850, "out_of_line_wait_on_bit_lock" },
	{ 0x1652648a, "xas_pause" },
	{ 0xeddd417, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x870f1d1e, "skb_trim" },
	{ 0x1bf875d2, "truncate_setsize" },
	{ 0x4841bdee, "strnchr" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8208a462, "kthread_create_on_node" },
	{ 0xaa8ba0f3, "set_page_dirty" },
	{ 0x141ffed8, "copy_page_from_iter" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0xcb0ebf2e, "bpf_trace_run3" },
	{ 0x19a340f9, "override_creds" },
	{ 0x26ccd346, "seq_read" },
	{ 0x837e99a0, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x51ed908a, "redirty_page_for_writepage" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x1ac5d3cb, "strcspn" },
	{ 0xabd9af6d, "cifs_arc4_crypt" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9884cb0d, "super_setup_bdi" },
	{ 0x167e7f9d, "__get_user_1" },
	{ 0x8be95728, "generic_read_dir" },
	{ 0x7795e84d, "trace_event_buffer_reserve" },
	{ 0x2a799ad, "set_page_writeback" },
	{ 0x9410e0cb, "d_add" },
	{ 0xc59b99dc, "crypto_shash_final" },
	{ 0x85df9b6c, "strsep" },
	{ 0x7ed52728, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x3c50ca67, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0xb48d4d22, "security_sb_eat_lsm_opts" },
	{ 0xf14293cc, "lookup_positive_unlocked" },
	{ 0xf67c81b7, "init_user_ns" },
	{ 0x3c453e5f, "xa_destroy" },
	{ 0xf5d073e8, "xa_find" },
	{ 0x218aad1b, "request_key_tag" },
	{ 0x3f63a992, "invalidate_inode_pages2" },
	{ 0xeb644735, "alloc_pages" },
	{ 0x39d45d27, "inode_set_ctime_current" },
	{ 0x60925371, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x439cdac9, "dup_iter" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x44e9a829, "match_token" },
	{ 0xf4198220, "mempool_destroy" },
	{ 0x11fcf8be, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x2ff9ab7d, "remove_proc_entry" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x561751cb, "seq_printf" },
	{ 0x29332499, "__x86_indirect_thunk_rsi" },
	{ 0xce92a713, "sock_recvmsg" },
	{ 0x3bf6ba16, "dput" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xa8857036, "xa_store" },
	{ 0x7c7dbcd9, "iov_iter_zero" },
	{ 0xfc43ef2a, "lockref_get" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x7d61ec2c, "deactivate_locked_super" },
	{ 0x798f3830, "cifs_md4_init" },
	{ 0xb707d9ea, "touch_atime" },
	{ 0x485215a2, "__d_lookup_unhash_wake" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0xea4e3578, "sock_release" },
	{ 0x8c8cf8fc, "__fscache_invalidate" },
	{ 0x7e1269b7, "iov_iter_discard" },
	{ 0xfceeebee, "xa_extract" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x9cd927ce, "generic_file_open" },
	{ 0x6a9951a0, "truncate_inode_pages_range" },
	{ 0xf2301826, "downgrade_write" },
	{ 0x58c7fbdd, "__folio_lock" },
	{ 0xd95c9187, "filemap_dirty_folio" },
	{ 0x15da77a5, "pagecache_get_page" },
	{ 0x1be8b942, "seq_puts" },
	{ 0x680b8797, "__fscache_use_cookie" },
	{ 0xc63b2c6f, "single_release" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x2ec6bba0, "errseq_set" },
	{ 0xcc72a3e5, "iov_iter_xarray" },
	{ 0x3853aca5, "tcp_sock_set_nodelay" },
	{ 0x43444f1d, "send_sig" },
	{ 0xbdbf083e, "__fs_parse" },
	{ 0xa70d4175, "filemap_splice_read" },
	{ 0x9c15397, "__fscache_begin_write_operation" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0x1d1ea422, "genl_unregister_family" },
	{ 0x67ffb129, "kill_anon_super" },
	{ 0x37d576a1, "from_kuid_munged" },
	{ 0x1ec5bb5c, "proc_create_single_data" },
	{ 0x1a51e7f6, "prepare_kernel_cred" },
	{ 0x42737b5e, "xa_find_after" },
	{ 0xcad0d60, "kmalloc_trace" },
	{ 0xc1d8cfaf, "__fdget" },
	{ 0x9e52e9c5, "iget5_locked" },
	{ 0x9beb6678, "__generic_file_write_iter" },
	{ 0x3c01ff3c, "filemap_write_and_wait_range" },
	{ 0xa8fd90ac, "xa_set_mark" },
	{ 0xc29bf967, "strspn" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0xa0fbac79, "wake_up_bit" },
	{ 0x4aba970a, "bpf_trace_run7" },
	{ 0x13ce87e8, "asn1_ber_decoder" },
	{ 0x5c0d69ec, "iov_iter_revert" },
	{ 0xdf557273, "generic_write_checks" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x5656ee0f, "mntget" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x204949a7, "single_open" },
	{ 0x349cba85, "strchr" },
	{ 0xab9d5284, "kmem_cache_alloc_lru" },
	{ 0x8b856ef8, "filemap_fault" },
	{ 0x29bee9e3, "crypto_alloc_shash" },
	{ 0xf1f43baf, "key_invalidate" },
	{ 0xf5ef9b1c, "d_invalidate" },
	{ 0x9ea59272, "try_wait_for_completion" },
	{ 0x6bac0343, "__mark_inode_dirty" },
	{ 0x54561568, "genl_register_family" },
	{ 0xa76b7931, "generic_file_llseek" },
	{ 0x7950dbfe, "_raw_spin_unlock" },
	{ 0x48f1e305, "folio_wait_private_2_killable" },
	{ 0xd8c9995b, "unload_nls" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xbb53856b, "up_read" },
	{ 0x75705abf, "iterate_supers_type" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x8e8d7491, "iov_iter_npages" },
	{ 0x9aedbfd8, "NlsUniUpperRange" },
	{ 0xacb75019, "set_anon_super" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x90b4fd7e, "drop_nlink" },
	{ 0xf9a482f9, "msleep" },
	{ 0xdef1096d, "cifs_md4_update" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x44dc395a, "fs_param_is_u64" },
	{ 0xe33f92fe, "kmalloc_caches" },
	{ 0xd7c949a8, "iget_failed" },
	{ 0x80f22eb3, "kmem_cache_destroy" },
	{ 0x9a1dfd65, "strpbrk" },
	{ 0xa261f682, "__fscache_acquire_cookie" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x6a5fa363, "sigprocmask" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x672f0875, "posix_test_lock" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x484f6edf, "ktime_get_coarse_real_ts64" },
	{ 0x914954e4, "__page_file_index" },
	{ 0xe914e41e, "strcpy" },
	{ 0x7f28ceed, "filemap_fdatawrite" },
	{ 0x80ca9417, "generic_fillattr" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xa06896bf, "setattr_prepare" },
	{ 0xabb39e9f, "vfs_fsync_range" },
	{ 0xf6cadbf6, "filemap_migrate_folio" },
	{ 0xceecd9e4, "cifs_md4_final" },
	{ 0xe732bad2, "clear_nlink" },
	{ 0x2075a40f, "__sock_create" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x1a1043f, "d_alloc_parallel" },
	{ 0xaf2949bf, "revert_creds" },
	{ 0xd2cedc, "tcp_sock_set_cork" },
	{ 0xdadf9a2e, "__init_rwsem" },
	{ 0x1153003c, "d_instantiate" },
	{ 0x55b3891d, "_copy_to_iter" },
	{ 0x7fe9cbe8, "timestamp_truncate" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe5fd181f, "clear_inode" },
	{ 0x782e5d62, "bpf_trace_run4" },
	{ 0x1b6e37ab, "__fscache_acquire_volume" },
	{ 0xdfb800d9, "idr_find" },
	{ 0x8260bb25, "param_ops_uint" },
	{ 0x139e3466, "grab_cache_page_write_begin" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x5cff7ef4, "fs_param_is_string" },
	{ 0x898bcc28, "__folio_batch_release" },
	{ 0xde0d8b77, "folio_unlock" },
	{ 0xbd5aa62a, "__fscache_resize_cookie" },
	{ 0x88ced46a, "mnt_set_expiry" },
	{ 0x98fcdc94, "proc_create" },
	{ 0xb57c2a6f, "vmalloc_to_page" },
	{ 0x47ca2725, "__break_lease" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x6bcbfbd4, "filemap_map_pages" },
	{ 0x65b45cb, "complete" },
	{ 0xf8772aa7, "netfs_unpin_writeback" },
	{ 0x99981da1, "__fscache_begin_read_operation" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x210dd3f5, "trace_raw_output_prep" },
	{ 0x1a237ace, "look_up_OID" },
	{ 0x68ec5465, "init_special_inode" },
	{ 0x2abe243c, "unregister_filesystem" },
	{ 0x20657abd, "bpf_trace_run6" },
	{ 0x7831260f, "xas_find_marked" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb3e3ceb3, "__init_swait_queue_head" },
	{ 0x47829a74, "__trace_trigger_soft_disabled" },
	{ 0x5e811e0e, "finish_wait" },
	{ 0xef3026f5, "iov_iter_advance" },
	{ 0x7ba427ce, "d_make_root" },
	{ 0x7a301ae4, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x609bcd98, "in6_pton" },
	{ 0x562f86c4, "__put_task_struct" },
	{ 0x82936c8b, "kernel_bind" },
	{ 0x9bac2fb4, "xas_find" },
	{ 0xd3397fe4, "__fscache_unuse_cookie" },
	{ 0x75e8447e, "unregister_key_type" },
	{ 0x716b60f, "d_splice_alias" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x9814e40c, "load_nls_default" },
	{ 0xf7c9583f, "current_time" },
	{ 0x28adc95, "genlmsg_put" },
	{ 0x6df1aaf1, "kernel_sigaction" },
	{ 0xb35c5ee5, "trace_event_raw_init" },
	{ 0x32110b6c, "fiemap_prep" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x1f69166f, "generic_permission" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x2420af70, "truncate_pagecache_range" },
	{ 0x46253b36, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x4c81e490, "NlsUniUpperTable" },
	{ 0x743c1061, "posix_lock_file" },
	{ 0xfc201b66, "sprint_oid" },
	{ 0x3ad838f4, "finish_open" },
	{ 0x930ec716, "iput" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x1eda8413, "seq_lseek" },
	{ 0x75c188f5, "logfc" },
	{ 0x67e99461, "__put_devmap_managed_page_refs" },
	{ 0xff7c6bb0, "iter_file_splice_write" },
	{ 0x5d85171d, "crypto_alloc_aead" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x784f23a, "bpf_trace_run2" },
	{ 0xb8fb810a, "prepare_to_wait_event" },
	{ 0x1984d421, "out_of_line_wait_on_bit" },
	{ 0xade04a26, "d_hash_and_lookup" },
	{ 0xfe81ad50, "crypto_aead_setauthsize" },
	{ 0xc77f9cc3, "crypto_aead_decrypt" },
	{ 0x3a766174, "fs_param_is_bool" },
	{ 0xd3a27874, "__wake_up" },
	{ 0x9c4432c8, "generic_file_write_iter" },
	{ 0x5669320a, "__module_get" },
	{ 0x9c509f12, "__fscache_relinquish_cookie" },
	{ 0x523f0f70, "register_filesystem" },
	{ 0xcbc1f2d2, "kmem_cache_create" },
	{ 0xcaddcf31, "folio_clear_dirty_for_io" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x248efd3, "kstrtobool_from_user" },
	{ 0xfea1b088, "_raw_spin_lock" },
	{ 0xfebde058, "mempool_free" },
	{ 0xfe339231, "register_key_type" },
	{ 0xa36e55ea, "netlink_broadcast_filtered" },
	{ 0x1ad112d1, "keyring_alloc" },
	{ 0x6b609c23, "vfs_setpos" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x675ef3b, "extract_iter_to_sg" },
	{ 0x98d65a2e, "__put_cred" },
	{ 0x82ec3594, "wake_up_process" },
	{ 0x410032b3, "splice_file_range" },
	{ 0x7e459010, "trace_event_buffer_commit" },
	{ 0x19a630bc, "crypto_destroy_tfm" },
	{ 0x54ae7adf, "simple_inode_init_ts" },
	{ 0x4482cdb, "__refrigerator" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xe8858c3f, "__raw_spin_lock_init" },
	{ 0xe52fceed, "locks_lock_inode_wait" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x5ff628de, "add_swap_extent" },
	{ 0x144d5c37, "fs_param_is_u32" },
	{ 0x47aee6a2, "inode_newsize_ok" },
	{ 0xd73653c4, "freezer_active" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "netfs,dns_resolver,cifs_arc4,cifs_md4,nls_ucs2_utils");


MODULE_INFO(srcversion, "0C0BAD4E3CB68200A462874");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
