#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x314343f3, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0xcd498583, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0xb1c9d828, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0x05466543, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x15fad249, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0x86f1ba6b, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xc22b7440, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0xfecf1285, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x19b60140, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0xf4c37bf8, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x7985685d, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x9420ced9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x66225724, "gro_cells_init" },
	{ 0x24599460, "ip_tunnel_header_ops" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc24639cf, "init_net" },
	{ 0x702d0ed5, "alloc_netdev_mqs" },
	{ 0x28e94366, "register_netdev" },
	{ 0xa916b694, "strnlen" },
	{ 0x15313ebd, "free_netdev" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xa4a6015e, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x9038e1f4, "skb_copy_bits" },
	{ 0xad2f27f2, "register_netdevice" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xaaee43fd, "netdev_state_change" },
	{ 0xdd9f9d72, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0x61820724, "__pskb_pull_tail" },
	{ 0xcea3276, "make_kuid" },
	{ 0x45c80808, "ip6_redirect" },
	{ 0xf0184944, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xe4f13853, "dst_cache_get" },
	{ 0xeca3d0bc, "ip6_route_output_flags" },
	{ 0x13d6b2c4, "xfrm_lookup" },
	{ 0x79308d56, "ip6_mtu" },
	{ 0xd17f1a2c, "skb_scrub_packet" },
	{ 0xe6012c3d, "skb_realloc_headroom" },
	{ 0xd6fe9dbf, "skb_set_owner_w" },
	{ 0x1ff05289, "consume_skb" },
	{ 0xa8b17117, "ipv6_push_frag_opts" },
	{ 0xb052c01, "skb_push" },
	{ 0x3d262cf9, "ip6_local_out" },
	{ 0xefbfcf03, "dst_cache_set_ip6" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x58339aa, "ipv6_dev_get_saddr" },
	{ 0x8bae8df2, "ip6_dst_hoplimit" },
	{ 0xa7c1e3c6, "pcpu_hot" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x5ab4868a, "ipv4_mtu" },
	{ 0xaf684e83, "neigh_destroy" },
	{ 0x54814683, "iptunnel_handle_offloads" },
	{ 0x34918ba1, "icmpv6_ndo_send" },
	{ 0xa0758196, "kfree_skb_reason" },
	{ 0xbc083870, "icmp_ndo_send" },
	{ 0xe3a8c951, "skb_clone" },
	{ 0xe4ed5e28, "skb_pull" },
	{ 0x208685ad, "icmp6_send" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x57fcfc98, "gro_cells_receive" },
	{ 0xfccbf711, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x3ef288, "__xfrm_policy_check" },
	{ 0x729f333, "__iptunnel_pull_header" },
	{ 0xe2b6b622, "metadata_dst_alloc" },
	{ 0xac81748a, "ip_route_output_flow" },
	{ 0xa1e25ba8, "ip_route_input_noref" },
	{ 0xc15682db, "__icmp_send" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x39224d8b, "dev_get_tstats64" },
	{ 0xf6125d05, "param_ops_bool" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xce9d3dad, "ip6tun_encaps" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0xce4b7195, "ipv6_chk_addr_and_flags" },
	{ 0x855a9809, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb96bf6d0, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xde277cd7, "register_pernet_device" },
	{ 0x913a0b9b, "xfrm6_tunnel_register" },
	{ 0xcdcfdb80, "rtnl_link_register" },
	{ 0x6b4e4d7f, "xfrm6_tunnel_deregister" },
	{ 0xa8f2ee44, "unregister_pernet_device" },
	{ 0xd5a43273, "nla_put" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x85650942, "unregister_netdevice_queue" },
	{ 0xafc68783, "dev_addr_mod" },
	{ 0x53549817, "rt6_lookup" },
	{ 0x85902174, "dst_release" },
	{ 0xdcfaa68f, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x88c93358, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "50E4E0613746F3BD663EAD8");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
